
package com.gridnine.sabre.dqb.stl;

import java.io.Serializable;
import java.sql.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CV_Score">
 *   &lt;xs:simpleContent>
 *     &lt;xs:extension base="xs:int">
 *       &lt;xs:attribute type="xs:int" name="TDW"/>
 *       &lt;xs:attribute type="xs:int" name="airline"/>
 *       &lt;xs:attribute type="xs:int" name="override"/>
 *       &lt;xs:attribute type="xs:date" name="overriideEffectiveDate"/>
 *       &lt;xs:attribute type="xs:date" name="overrideDiscontinueDate"/>
 *       &lt;xs:attribute type="xs:date" name="airlineEffectiveDate"/>
 *       &lt;xs:attribute type="xs:date" name="airlineDiscontinueDate"/>
 *       &lt;xs:attribute type="xs:date" name="TDWEffectiveDate"/>
 *       &lt;xs:attribute type="xs:date" name="TDWDiscintinueDate"/>
 *       &lt;xs:anyAttribute processContents="skip" namespace="##any"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:simpleContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class CVScore implements Serializable
{
    private int _int;
    private Integer TDW;
    private Integer airline;
    private Integer override;
    private Date overriideEffectiveDate;
    private Date overrideDiscontinueDate;
    private Date airlineEffectiveDate;
    private Date airlineDiscontinueDate;
    private Date TDWEffectiveDate;
    private Date TDWDiscintinueDate;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public int getInt() {
        return _int;
    }

    /** 
     * Set the extension value.
     * 
     * @param _int
     */
    public void setInt(int _int) {
        this._int = _int;
    }

    /** 
     * Get the 'TDW' attribute value. Customer Value Calculator computed value computed by TDW
     * 
     * @return value
     */
    public Integer getTDW() {
        return TDW;
    }

    /** 
     * Set the 'TDW' attribute value. Customer Value Calculator computed value computed by TDW
     * 
     * @param TDW
     */
    public void setTDW(Integer TDW) {
        this.TDW = TDW;
    }

    /** 
     * Get the 'airline' attribute value. A score provided by the airline
     * 
     * @return value
     */
    public Integer getAirline() {
        return airline;
    }

    /** 
     * Set the 'airline' attribute value. A score provided by the airline
     * 
     * @param airline
     */
    public void setAirline(Integer airline) {
        this.airline = airline;
    }

    /** 
     * Get the 'override' attribute value. A score entered by manual override representing a minimum customer value score for the customer
     * 
     * @return value
     */
    public Integer getOverride() {
        return override;
    }

    /** 
     * Set the 'override' attribute value. A score entered by manual override representing a minimum customer value score for the customer
     * 
     * @param override
     */
    public void setOverride(Integer override) {
        this.override = override;
    }

    /** 
     * Get the 'overriideEffectiveDate' attribute value.
     * 
     * @return value
     */
    public Date getOverriideEffectiveDate() {
        return overriideEffectiveDate;
    }

    /** 
     * Set the 'overriideEffectiveDate' attribute value.
     * 
     * @param overriideEffectiveDate
     */
    public void setOverriideEffectiveDate(Date overriideEffectiveDate) {
        this.overriideEffectiveDate = overriideEffectiveDate;
    }

    /** 
     * Get the 'overrideDiscontinueDate' attribute value.
     * 
     * @return value
     */
    public Date getOverrideDiscontinueDate() {
        return overrideDiscontinueDate;
    }

    /** 
     * Set the 'overrideDiscontinueDate' attribute value.
     * 
     * @param overrideDiscontinueDate
     */
    public void setOverrideDiscontinueDate(Date overrideDiscontinueDate) {
        this.overrideDiscontinueDate = overrideDiscontinueDate;
    }

    /** 
     * Get the 'airlineEffectiveDate' attribute value.
     * 
     * @return value
     */
    public Date getAirlineEffectiveDate() {
        return airlineEffectiveDate;
    }

    /** 
     * Set the 'airlineEffectiveDate' attribute value.
     * 
     * @param airlineEffectiveDate
     */
    public void setAirlineEffectiveDate(Date airlineEffectiveDate) {
        this.airlineEffectiveDate = airlineEffectiveDate;
    }

    /** 
     * Get the 'airlineDiscontinueDate' attribute value.
     * 
     * @return value
     */
    public Date getAirlineDiscontinueDate() {
        return airlineDiscontinueDate;
    }

    /** 
     * Set the 'airlineDiscontinueDate' attribute value.
     * 
     * @param airlineDiscontinueDate
     */
    public void setAirlineDiscontinueDate(Date airlineDiscontinueDate) {
        this.airlineDiscontinueDate = airlineDiscontinueDate;
    }

    /** 
     * Get the 'TDWEffectiveDate' attribute value.
     * 
     * @return value
     */
    public Date getTDWEffectiveDate() {
        return TDWEffectiveDate;
    }

    /** 
     * Set the 'TDWEffectiveDate' attribute value.
     * 
     * @param TDWEffectiveDate
     */
    public void setTDWEffectiveDate(Date TDWEffectiveDate) {
        this.TDWEffectiveDate = TDWEffectiveDate;
    }

    /** 
     * Get the 'TDWDiscintinueDate' attribute value.
     * 
     * @return value
     */
    public Date getTDWDiscintinueDate() {
        return TDWDiscintinueDate;
    }

    /** 
     * Set the 'TDWDiscintinueDate' attribute value.
     * 
     * @param TDWDiscintinueDate
     */
    public void setTDWDiscintinueDate(Date TDWDiscintinueDate) {
        this.TDWDiscintinueDate = TDWDiscintinueDate;
    }
}
