
package com.gridnine.sabre.dqb.stl;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Email">
 *   &lt;xs:simpleContent>
 *     &lt;xs:extension base="xs:string">
 *       &lt;xs:attribute type="xs:anySimpleType" name="EmailType"/>
 *       &lt;xs:attribute type="xs:anySimpleType" name="Language"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:simpleContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class Email implements Serializable
{
    private String string;
    private String emailType;
    private String language;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public String getString() {
        return string;
    }

    /** 
     * Set the extension value.
     * 
     * @param string
     */
    public void setString(String string) {
        this.string = string;
    }

    /** 
     * Get the 'EmailType' attribute value.
     * 
     * @return value
     */
    public String getEmailType() {
        return emailType;
    }

    /** 
     * Set the 'EmailType' attribute value.
     * 
     * @param emailType
     */
    public void setEmailType(String emailType) {
        this.emailType = emailType;
    }

    /** 
     * Get the 'Language' attribute value. Identifes the primary language preference for the message.  The human language is identified by ISO 639 codes.
     * 
     * @return value
     */
    public String getLanguage() {
        return language;
    }

    /** 
     * Set the 'Language' attribute value. Identifes the primary language preference for the message.  The human language is identified by ISO 639 codes.
     * 
     * @param language
     */
    public void setLanguage(String language) {
        this.language = language;
    }
}
