
package com.gridnine.sabre.dqb.stl;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="EquipmentInformation">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="ScheduledAircraftOwner">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="xs:string">
 *             &lt;xs:attribute type="xs:boolean" name="IsChanged"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *     &lt;xs:element name="ScheduledAircraftType">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="xs:string">
 *             &lt;xs:attribute type="xs:boolean" name="IsChanged"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *     &lt;xs:element name="AircraftOwner" minOccurs="0">
 *       &lt;!-- Reference to inner class AircraftOwner -->
 *     &lt;/xs:element>
 *     &lt;xs:element name="AircraftType" minOccurs="0">
 *       &lt;!-- Reference to inner class AircraftType -->
 *     &lt;/xs:element>
 *     &lt;xs:element name="AircraftRegistration" minOccurs="0">
 *       &lt;!-- Reference to inner class AircraftRegistration -->
 *     &lt;/xs:element>
 *     &lt;xs:element type="ns:AircraftVersionandClassConfiguration" name="AircraftConfiguration" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class EquipmentInformation implements Serializable
{
    private String scheduledAircraftOwnerString;
    private Boolean scheduledAircraftOwnerIsChanged;
    private String scheduledAircraftTypeString;
    private Boolean scheduledAircraftTypeIsChanged;
    private AircraftOwner aircraftOwner;
    private AircraftType aircraftType;
    private AircraftRegistration aircraftRegistration;
    private AircraftVersionandClassConfiguration aircraftConfiguration;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public String getScheduledAircraftOwnerString() {
        return scheduledAircraftOwnerString;
    }

    /** 
     * Set the extension value.
     * 
     * @param scheduledAircraftOwnerString
     */
    public void setScheduledAircraftOwnerString(
            String scheduledAircraftOwnerString) {
        this.scheduledAircraftOwnerString = scheduledAircraftOwnerString;
    }

    /** 
     * Get the 'IsChanged' attribute value.
     * 
     * @return value
     */
    public Boolean getScheduledAircraftOwnerIsChanged() {
        return scheduledAircraftOwnerIsChanged;
    }

    /** 
     * Set the 'IsChanged' attribute value.
     * 
     * @param scheduledAircraftOwnerIsChanged
     */
    public void setScheduledAircraftOwnerIsChanged(
            Boolean scheduledAircraftOwnerIsChanged) {
        this.scheduledAircraftOwnerIsChanged = scheduledAircraftOwnerIsChanged;
    }

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public String getScheduledAircraftTypeString() {
        return scheduledAircraftTypeString;
    }

    /** 
     * Set the extension value.
     * 
     * @param scheduledAircraftTypeString
     */
    public void setScheduledAircraftTypeString(
            String scheduledAircraftTypeString) {
        this.scheduledAircraftTypeString = scheduledAircraftTypeString;
    }

    /** 
     * Get the 'IsChanged' attribute value.
     * 
     * @return value
     */
    public Boolean getScheduledAircraftTypeIsChanged() {
        return scheduledAircraftTypeIsChanged;
    }

    /** 
     * Set the 'IsChanged' attribute value.
     * 
     * @param scheduledAircraftTypeIsChanged
     */
    public void setScheduledAircraftTypeIsChanged(
            Boolean scheduledAircraftTypeIsChanged) {
        this.scheduledAircraftTypeIsChanged = scheduledAircraftTypeIsChanged;
    }

    /** 
     * Get the 'AircraftOwner' element value.
     * 
     * @return value
     */
    public AircraftOwner getAircraftOwner() {
        return aircraftOwner;
    }

    /** 
     * Set the 'AircraftOwner' element value.
     * 
     * @param aircraftOwner
     */
    public void setAircraftOwner(AircraftOwner aircraftOwner) {
        this.aircraftOwner = aircraftOwner;
    }

    /** 
     * Get the 'AircraftType' element value.
     * 
     * @return value
     */
    public AircraftType getAircraftType() {
        return aircraftType;
    }

    /** 
     * Set the 'AircraftType' element value.
     * 
     * @param aircraftType
     */
    public void setAircraftType(AircraftType aircraftType) {
        this.aircraftType = aircraftType;
    }

    /** 
     * Get the 'AircraftRegistration' element value.
     * 
     * @return value
     */
    public AircraftRegistration getAircraftRegistration() {
        return aircraftRegistration;
    }

    /** 
     * Set the 'AircraftRegistration' element value.
     * 
     * @param aircraftRegistration
     */
    public void setAircraftRegistration(
            AircraftRegistration aircraftRegistration) {
        this.aircraftRegistration = aircraftRegistration;
    }

    /** 
     * Get the 'AircraftConfiguration' element value.
     * 
     * @return value
     */
    public AircraftVersionandClassConfiguration getAircraftConfiguration() {
        return aircraftConfiguration;
    }

    /** 
     * Set the 'AircraftConfiguration' element value.
     * 
     * @param aircraftConfiguration
     */
    public void setAircraftConfiguration(
            AircraftVersionandClassConfiguration aircraftConfiguration) {
        this.aircraftConfiguration = aircraftConfiguration;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AircraftOwner" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:simpleContent>
     *       &lt;xs:extension base="xs:string">
     *         &lt;xs:attribute type="xs:boolean" name="IsChanged"/>
     *       &lt;/xs:extension>
     *     &lt;/xs:simpleContent>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class AircraftOwner implements Serializable
    {
        private String string;
        private Boolean isChanged;

        /** 
         * Get the extension value.
         * 
         * @return value
         */
        public String getString() {
            return string;
        }

        /** 
         * Set the extension value.
         * 
         * @param string
         */
        public void setString(String string) {
            this.string = string;
        }

        /** 
         * Get the 'IsChanged' attribute value.
         * 
         * @return value
         */
        public Boolean getIsChanged() {
            return isChanged;
        }

        /** 
         * Set the 'IsChanged' attribute value.
         * 
         * @param isChanged
         */
        public void setIsChanged(Boolean isChanged) {
            this.isChanged = isChanged;
        }
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AircraftType" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:simpleContent>
     *       &lt;xs:extension base="xs:string">
     *         &lt;xs:attribute type="xs:boolean" name="IsChanged"/>
     *       &lt;/xs:extension>
     *     &lt;/xs:simpleContent>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class AircraftType implements Serializable
    {
        private String string;
        private Boolean isChanged;

        /** 
         * Get the extension value.
         * 
         * @return value
         */
        public String getString() {
            return string;
        }

        /** 
         * Set the extension value.
         * 
         * @param string
         */
        public void setString(String string) {
            this.string = string;
        }

        /** 
         * Get the 'IsChanged' attribute value.
         * 
         * @return value
         */
        public Boolean getIsChanged() {
            return isChanged;
        }

        /** 
         * Set the 'IsChanged' attribute value.
         * 
         * @param isChanged
         */
        public void setIsChanged(Boolean isChanged) {
            this.isChanged = isChanged;
        }
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AircraftRegistration" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:simpleContent>
     *       &lt;xs:extension base="xs:string">
     *         &lt;xs:attribute type="xs:boolean" name="IsChanged"/>
     *       &lt;/xs:extension>
     *     &lt;/xs:simpleContent>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class AircraftRegistration implements Serializable
    {
        private String string;
        private Boolean isChanged;

        /** 
         * Get the extension value.
         * 
         * @return value
         */
        public String getString() {
            return string;
        }

        /** 
         * Set the extension value.
         * 
         * @param string
         */
        public void setString(String string) {
            this.string = string;
        }

        /** 
         * Get the 'IsChanged' attribute value.
         * 
         * @return value
         */
        public Boolean getIsChanged() {
            return isChanged;
        }

        /** 
         * Set the 'IsChanged' attribute value.
         * 
         * @param isChanged
         */
        public void setIsChanged(Boolean isChanged) {
            this.isChanged = isChanged;
        }
    }
}
