
package com.gridnine.sabre.dqb.stl;

import java.io.Serializable;
import java.sql.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Flight.Identifier.SSI">
 *   &lt;xs:simpleContent>
 *     &lt;xs:extension base="xs:string">
 *       &lt;xs:attribute type="xs:string" use="required" name="carrier"/>
 *       &lt;xs:attribute type="xs:date" use="required" name="date"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:simpleContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class FlightIdentifierSSI implements Serializable
{
    private String string;
    private String carrier;
    private Date date;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public String getString() {
        return string;
    }

    /** 
     * Set the extension value.
     * 
     * @param string
     */
    public void setString(String string) {
        this.string = string;
    }

    /** 
     * Get the 'carrier' attribute value. By default, the carrier is assumed from the transaction context
     * 
     * @return value
     */
    public String getCarrier() {
        return carrier;
    }

    /** 
     * Set the 'carrier' attribute value. By default, the carrier is assumed from the transaction context
     * 
     * @param carrier
     */
    public void setCarrier(String carrier) {
        this.carrier = carrier;
    }

    /** 
     * Get the 'date' attribute value. By default, the date is assumed to be today or unspecified identifing a group of flights with the same number.
     * 
     * @return value
     */
    public Date getDate() {
        return date;
    }

    /** 
     * Set the 'date' attribute value. By default, the date is assumed to be today or unspecified identifing a group of flights with the same number.
     * 
     * @param date
     */
    public void setDate(Date date) {
        this.date = date;
    }
}
