
package com.gridnine.sabre.dqb.stl;

import java.io.Serializable;
import java.sql.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Flight.Identifier.withSuffix">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="FlightNumber">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="xs:string">
 *             &lt;xs:attribute type="xs:boolean" name="IsChanged"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *     &lt;xs:element name="Suffix" minOccurs="0">
 *       &lt;!-- Reference to inner class Suffix -->
 *     &lt;/xs:element>
 *     &lt;xs:element name="Carrier">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="xs:string">
 *             &lt;xs:attribute type="xs:boolean" name="IsChanged"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *     &lt;xs:element name="Date">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="xs:date">
 *             &lt;xs:attribute type="xs:boolean" name="IsChanged"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class FlightIdentifierWithSuffix implements Serializable
{
    private String flightNumberString;
    private Boolean flightNumberIsChanged;
    private Suffix suffix;
    private String carrierString;
    private Boolean carrierIsChanged;
    private Date dateDate;
    private Boolean dateIsChanged;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public String getFlightNumberString() {
        return flightNumberString;
    }

    /** 
     * Set the extension value.
     * 
     * @param flightNumberString
     */
    public void setFlightNumberString(String flightNumberString) {
        this.flightNumberString = flightNumberString;
    }

    /** 
     * Get the 'IsChanged' attribute value.
     * 
     * @return value
     */
    public Boolean getFlightNumberIsChanged() {
        return flightNumberIsChanged;
    }

    /** 
     * Set the 'IsChanged' attribute value.
     * 
     * @param flightNumberIsChanged
     */
    public void setFlightNumberIsChanged(Boolean flightNumberIsChanged) {
        this.flightNumberIsChanged = flightNumberIsChanged;
    }

    /** 
     * Get the 'Suffix' element value.
     * 
     * @return value
     */
    public Suffix getSuffix() {
        return suffix;
    }

    /** 
     * Set the 'Suffix' element value.
     * 
     * @param suffix
     */
    public void setSuffix(Suffix suffix) {
        this.suffix = suffix;
    }

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public String getCarrierString() {
        return carrierString;
    }

    /** 
     * Set the extension value.
     * 
     * @param carrierString
     */
    public void setCarrierString(String carrierString) {
        this.carrierString = carrierString;
    }

    /** 
     * Get the 'IsChanged' attribute value.
     * 
     * @return value
     */
    public Boolean getCarrierIsChanged() {
        return carrierIsChanged;
    }

    /** 
     * Set the 'IsChanged' attribute value.
     * 
     * @param carrierIsChanged
     */
    public void setCarrierIsChanged(Boolean carrierIsChanged) {
        this.carrierIsChanged = carrierIsChanged;
    }

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public Date getDateDate() {
        return dateDate;
    }

    /** 
     * Set the extension value.
     * 
     * @param dateDate
     */
    public void setDateDate(Date dateDate) {
        this.dateDate = dateDate;
    }

    /** 
     * Get the 'IsChanged' attribute value.
     * 
     * @return value
     */
    public Boolean getDateIsChanged() {
        return dateIsChanged;
    }

    /** 
     * Set the 'IsChanged' attribute value.
     * 
     * @param dateIsChanged
     */
    public void setDateIsChanged(Boolean dateIsChanged) {
        this.dateIsChanged = dateIsChanged;
    }
    /** 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Suffix" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:simpleContent>
     *       &lt;xs:extension base="xs:string">
     *         &lt;xs:attribute type="xs:boolean" name="IsChanged"/>
     *       &lt;/xs:extension>
     *     &lt;/xs:simpleContent>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class Suffix implements Serializable
    {
        private String string;
        private Boolean isChanged;

        /** 
         * Get the extension value.
         * 
         * @return value
         */
        public String getString() {
            return string;
        }

        /** 
         * Set the extension value.
         * 
         * @param string
         */
        public void setString(String string) {
            this.string = string;
        }

        /** 
         * Get the 'IsChanged' attribute value.
         * 
         * @return value
         */
        public Boolean getIsChanged() {
            return isChanged;
        }

        /** 
         * Set the 'IsChanged' attribute value.
         * 
         * @param isChanged
         */
        public void setIsChanged(Boolean isChanged) {
            this.isChanged = isChanged;
        }
    }
}
