
package com.gridnine.sabre.dqb.stl;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="FormOfIdentification.Misc">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="Number"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="ns:PrimaryIdCodeList" use="required" name="code"/>
 *   &lt;xs:attribute type="ns:SecondaryIdCodeList" name="secondaryId"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class FormOfIdentificationMisc implements Serializable
{
    private String number;
    private PrimaryIdCodeList code;
    private SecondaryIdCodeList secondaryId;

    /** 
     * Get the 'Number' element value. A number that would identify the person who purchases the service.
     * 
     * @return value
     */
    public String getNumber() {
        return number;
    }

    /** 
     * Set the 'Number' element value. A number that would identify the person who purchases the service.
     * 
     * @param number
     */
    public void setNumber(String number) {
        this.number = number;
    }

    /** 
     * Get the 'code' attribute value. Unique code that identifies the typ of id the person has used for purchasing the service or item
     * 
     * @return value
     */
    public PrimaryIdCodeList getCode() {
        return code;
    }

    /** 
     * Set the 'code' attribute value. Unique code that identifies the typ of id the person has used for purchasing the service or item
     * 
     * @param code
     */
    public void setCode(PrimaryIdCodeList code) {
        this.code = code;
    }

    /** 
     * Get the 'secondaryId' attribute value. Unique code associiated to the secondary ID
     * 
     * @return value
     */
    public SecondaryIdCodeList getSecondaryId() {
        return secondaryId;
    }

    /** 
     * Set the 'secondaryId' attribute value. Unique code associiated to the secondary ID
     * 
     * @param secondaryId
     */
    public void setSecondaryId(SecondaryIdCodeList secondaryId) {
        this.secondaryId = secondaryId;
    }
}
