
package com.gridnine.sabre.dqb.stl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="MessagingRecords">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:MessagingSystemRecord" name="Requestor" minOccurs="0"/>
 *     &lt;xs:element type="ns:MessagingSystemRecord" name="RQ_Proxy" minOccurs="0" maxOccurs="1000"/>
 *     &lt;xs:element type="ns:MessagingSystemRecord" name="Provider" minOccurs="0"/>
 *     &lt;xs:element type="ns:MessagingSystemRecord" name="RS_Proxy" minOccurs="0" maxOccurs="1000"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class MessagingRecords implements Serializable
{
    private MessagingSystemRecord requestor;
    private List<MessagingSystemRecord> RQProxyList = new ArrayList<MessagingSystemRecord>();
    private MessagingSystemRecord provider;
    private List<MessagingSystemRecord> RSProxyList = new ArrayList<MessagingSystemRecord>();

    /** 
     * Get the 'Requestor' element value.
     * 
     * @return value
     */
    public MessagingSystemRecord getRequestor() {
        return requestor;
    }

    /** 
     * Set the 'Requestor' element value.
     * 
     * @param requestor
     */
    public void setRequestor(MessagingSystemRecord requestor) {
        this.requestor = requestor;
    }

    /** 
     * Get the list of 'RQ_Proxy' element items.
     * 
     * @return list
     */
    public List<MessagingSystemRecord> getRQProxyList() {
        return RQProxyList;
    }

    /** 
     * Set the list of 'RQ_Proxy' element items.
     * 
     * @param list
     */
    public void setRQProxyList(List<MessagingSystemRecord> list) {
        RQProxyList = list;
    }

    /** 
     * Get the 'Provider' element value.
     * 
     * @return value
     */
    public MessagingSystemRecord getProvider() {
        return provider;
    }

    /** 
     * Set the 'Provider' element value.
     * 
     * @param provider
     */
    public void setProvider(MessagingSystemRecord provider) {
        this.provider = provider;
    }

    /** 
     * Get the list of 'RS_Proxy' element items.
     * 
     * @return list
     */
    public List<MessagingSystemRecord> getRSProxyList() {
        return RSProxyList;
    }

    /** 
     * Set the list of 'RS_Proxy' element items.
     * 
     * @param list
     */
    public void setRSProxyList(List<MessagingSystemRecord> list) {
        RSProxyList = list;
    }
}
