
package com.gridnine.sabre.dqb.stl;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="MiscTransInfo">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:TransactionInfo">
 *       &lt;xs:attribute type="ns:TransactionCode.Misc" use="required" name="code"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class MiscTransInfo extends TransactionInfo implements Serializable
{
    private TransactionCodeMisc code;

    /** 
     * Get the 'code' attribute value. A code that defines the type of processing to be applied from the core service - Miscellaneous Sales Receipt (MSR) or Excess Baggage (EXB).  Mapped to: SR05_11_TRT,#SR05_11_W EXB or #SR05_11_WMSR
     * 
     * @return value
     */
    public TransactionCodeMisc getCode() {
        return code;
    }

    /** 
     * Set the 'code' attribute value. A code that defines the type of processing to be applied from the core service - Miscellaneous Sales Receipt (MSR) or Excess Baggage (EXB).  Mapped to: SR05_11_TRT,#SR05_11_W EXB or #SR05_11_WMSR
     * 
     * @param code
     */
    public void setCode(TransactionCodeMisc code) {
        this.code = code;
    }
}
