
package com.gridnine.sabre.dqb.stl;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OptionalService">
 *   &lt;xs:attribute type="xs:string" use="required" name="RFIC"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="subCode"/>
 *   &lt;xs:attribute type="xs:string" name="ssrCode"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OptionalService implements Serializable
{
    private String RFIC;
    private String subCode;
    private String ssrCode;

    /** 
     * Get the 'RFIC' attribute value. Reason for issuance code.   Mapped to: SR05_C1_RFIC
     * 
     * @return value
     */
    public String getRFIC() {
        return RFIC;
    }

    /** 
     * Set the 'RFIC' attribute value. Reason for issuance code.   Mapped to: SR05_C1_RFIC
     * 
     * @param RFIC
     */
    public void setRFIC(String RFIC) {
        this.RFIC = RFIC;
    }

    /** 
     * Get the 'subCode' attribute value. Reason for issuance sub-code.  Mapped to:  SR05_C1_SRFI
     * 
     * @return value
     */
    public String getSubCode() {
        return subCode;
    }

    /** 
     * Set the 'subCode' attribute value. Reason for issuance sub-code.  Mapped to:  SR05_C1_SRFI
     * 
     * @param subCode
     */
    public void setSubCode(String subCode) {
        this.subCode = subCode;
    }

    /** 
     * Get the 'ssrCode' attribute value. Service code in the PNR associated to the item. mapped to SR05_C1_SCOD
     * 
     * @return value
     */
    public String getSsrCode() {
        return ssrCode;
    }

    /** 
     * Set the 'ssrCode' attribute value. Service code in the PNR associated to the item. mapped to SR05_C1_SCOD
     * 
     * @param ssrCode
     */
    public void setSsrCode(String ssrCode) {
        this.ssrCode = ssrCode;
    }
}
