
package com.gridnine.sabre.dqb.stl;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Vendor">
 *   &lt;xs:simpleContent>
 *     &lt;xs:extension base="xs:string">
 *       &lt;xs:attribute type="xs:string" name="Name"/>
 *       &lt;xs:attribute type="xs:anySimpleType" name="CodeContext"/>
 *       &lt;xs:attribute type="ns:TravelSectorType" name="TravelSector"/>
 *       &lt;xs:attribute type="xs:string" name="Division"/>
 *       &lt;xs:attribute type="xs:string" name="Department"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:simpleContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class Vendor implements Serializable
{
    private String string;
    private String name;
    private String codeContext;
    private TravelSectorType travelSector;
    private String division;
    private String department;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public String getString() {
        return string;
    }

    /** 
     * Set the extension value.
     * 
     * @param string
     */
    public void setString(String string) {
        this.string = string;
    }

    /** 
     * Get the 'Name' attribute value.
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'Name' attribute value.
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 
     * Get the 'CodeContext' attribute value. Identifies the context of the identifying code, such as DUNS, IATA or internal code, etc.
     * 
     * @return value
     */
    public String getCodeContext() {
        return codeContext;
    }

    /** 
     * Set the 'CodeContext' attribute value. Identifies the context of the identifying code, such as DUNS, IATA or internal code, etc.
     * 
     * @param codeContext
     */
    public void setCodeContext(String codeContext) {
        this.codeContext = codeContext;
    }

    /** 
     * Get the 'TravelSector' attribute value.
     * 
     * @return value
     */
    public TravelSectorType getTravelSector() {
        return travelSector;
    }

    /** 
     * Set the 'TravelSector' attribute value.
     * 
     * @param travelSector
     */
    public void setTravelSector(TravelSectorType travelSector) {
        this.travelSector = travelSector;
    }

    /** 
     * Get the 'Division' attribute value.
     * 
     * @return value
     */
    public String getDivision() {
        return division;
    }

    /** 
     * Set the 'Division' attribute value.
     * 
     * @param division
     */
    public void setDivision(String division) {
        this.division = division;
    }

    /** 
     * Get the 'Department' attribute value.
     * 
     * @return value
     */
    public String getDepartment() {
        return department;
    }

    /** 
     * Set the 'Department' attribute value.
     * 
     * @param department
     */
    public void setDepartment(String department) {
        this.department = department;
    }
}
