
package com.gridnine.sabre.dqb.stl;

import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:simpleType xmlns:ns="http://services.sabre.com/STL/v01" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_AddressRoleList">
 *   &lt;xs:restriction base="xs:string">
 *     &lt;xs:enumeration value="Billing"/>
 *     &lt;xs:enumeration value="Chain"/>
 *     &lt;xs:enumeration value="Collection"/>
 *     &lt;xs:enumeration value="Contact"/>
 *     &lt;xs:enumeration value="CreditCard"/>
 *     &lt;xs:enumeration value="Delivery"/>
 *     &lt;xs:enumeration value="Hotel"/>
 *     &lt;xs:enumeration value="Mailing"/>
 *     &lt;xs:enumeration value="Physical"/>
 *     &lt;xs:enumeration value="Pre-Opening Office"/>
 *   &lt;/xs:restriction>
 * &lt;/xs:simpleType>
 * </pre>
 */
public enum _AddressRoleList implements Serializable {
    BILLING("Billing"), CHAIN("Chain"), COLLECTION("Collection"), CONTACT(
            "Contact"), CREDIT_CARD("CreditCard"), DELIVERY("Delivery"), HOTEL(
            "Hotel"), MAILING("Mailing"), PHYSICAL("Physical"), PRE_OPENING_OFFICE(
            "Pre-Opening Office");
    private final String value;

    private _AddressRoleList(String value) {
        this.value = value;
    }

    public String xmlValue() {
        return value;
    }

    public static _AddressRoleList convert(String value) {
        for (_AddressRoleList inst : values()) {
            if (inst.xmlValue().equals(value)) {
                return inst;
            }
        }
        return null;
    }
}
