
package com.gridnine.sabre.dqb.tktas;

import com.gridnine.sabre.dqb.ttl.MiscMoney;
import java.io.Serializable;

/** 
 * These totals are what the system expects the agent to have on hand when closing the report.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:ns1="http://www.sabre.com/ns/Ticketing/TTL/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_AccountingExpectedTotals">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="CheckAmount">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="ns1:Misc.Money">
 *             &lt;xs:attribute type="xs:string" use="required" name="currencyCode"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *     &lt;xs:element name="CashAmount">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="ns1:Misc.Money">
 *             &lt;xs:attribute type="xs:string" use="required" name="currencyCode"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class _AccountingExpectedTotals implements Serializable
{
    private MiscMoney checkAmountMiscMoney;
    private String checkAmountCurrencyCode;
    private MiscMoney cashAmountMiscMoney;
    private String cashAmountCurrencyCode;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public MiscMoney getCheckAmountMiscMoney() {
        return checkAmountMiscMoney;
    }

    /** 
     * Set the extension value.
     * 
     * @param checkAmountMiscMoney
     */
    public void setCheckAmountMiscMoney(MiscMoney checkAmountMiscMoney) {
        this.checkAmountMiscMoney = checkAmountMiscMoney;
    }

    /** 
     * Get the 'currencyCode' attribute value.
     * 
     * @return value
     */
    public String getCheckAmountCurrencyCode() {
        return checkAmountCurrencyCode;
    }

    /** 
     * Set the 'currencyCode' attribute value.
     * 
     * @param checkAmountCurrencyCode
     */
    public void setCheckAmountCurrencyCode(String checkAmountCurrencyCode) {
        this.checkAmountCurrencyCode = checkAmountCurrencyCode;
    }

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public MiscMoney getCashAmountMiscMoney() {
        return cashAmountMiscMoney;
    }

    /** 
     * Set the extension value.
     * 
     * @param cashAmountMiscMoney
     */
    public void setCashAmountMiscMoney(MiscMoney cashAmountMiscMoney) {
        this.cashAmountMiscMoney = cashAmountMiscMoney;
    }

    /** 
     * Get the 'currencyCode' attribute value.
     * 
     * @return value
     */
    public String getCashAmountCurrencyCode() {
        return cashAmountCurrencyCode;
    }

    /** 
     * Set the 'currencyCode' attribute value.
     * 
     * @param cashAmountCurrencyCode
     */
    public void setCashAmountCurrencyCode(String cashAmountCurrencyCode) {
        this.cashAmountCurrencyCode = cashAmountCurrencyCode;
    }
}
