
package com.gridnine.sabre.dqb.tktas;

import java.io.Serializable;
import java.sql.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_CCHeader">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="IssuingAgentEprCity"/>
 *     &lt;xs:element type="xs:string" name="IssuingAgentDieSine"/>
 *     &lt;xs:element type="xs:string" name="IssueAgentEmpNum"/>
 *     &lt;xs:element type="xs:string" name="IssueCity"/>
 *     &lt;xs:element type="xs:string" name="IssueStation"/>
 *     &lt;xs:element type="xs:date" name="ReportOpenedDate"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class _CCHeader implements Serializable
{
    private String issuingAgentEprCity;
    private String issuingAgentDieSine;
    private String issueAgentEmpNum;
    private String issueCity;
    private String issueStation;
    private Date reportOpenedDate;

    /** 
     * Get the 'IssuingAgentEprCity' element value. City Code of the agent's home city.
     * 
     * @return value
     */
    public String getIssuingAgentEprCity() {
        return issuingAgentEprCity;
    }

    /** 
     * Set the 'IssuingAgentEprCity' element value. City Code of the agent's home city.
     * 
     * @param issuingAgentEprCity
     */
    public void setIssuingAgentEprCity(String issuingAgentEprCity) {
        this.issuingAgentEprCity = issuingAgentEprCity;
    }

    /** 
     * Get the 'IssuingAgentDieSine' element value. Die Sine of the agent issuing the documents.
     * 
     * @return value
     */
    public String getIssuingAgentDieSine() {
        return issuingAgentDieSine;
    }

    /** 
     * Set the 'IssuingAgentDieSine' element value. Die Sine of the agent issuing the documents.
     * 
     * @param issuingAgentDieSine
     */
    public void setIssuingAgentDieSine(String issuingAgentDieSine) {
        this.issuingAgentDieSine = issuingAgentDieSine;
    }

    /** 
     * Get the 'IssueAgentEmpNum' element value. Employee number of the agent issuing the document.
     * 
     * @return value
     */
    public String getIssueAgentEmpNum() {
        return issueAgentEmpNum;
    }

    /** 
     * Set the 'IssueAgentEmpNum' element value. Employee number of the agent issuing the document.
     * 
     * @param issueAgentEmpNum
     */
    public void setIssueAgentEmpNum(String issueAgentEmpNum) {
        this.issueAgentEmpNum = issueAgentEmpNum;
    }

    /** 
     * Get the 'IssueCity' element value. City Code where the documents were issued.
     * 
     * @return value
     */
    public String getIssueCity() {
        return issueCity;
    }

    /** 
     * Set the 'IssueCity' element value. City Code where the documents were issued.
     * 
     * @param issueCity
     */
    public void setIssueCity(String issueCity) {
        this.issueCity = issueCity;
    }

    /** 
     * Get the 'IssueStation' element value. Station used to issue the documents.
     * 
     * @return value
     */
    public String getIssueStation() {
        return issueStation;
    }

    /** 
     * Set the 'IssueStation' element value. Station used to issue the documents.
     * 
     * @param issueStation
     */
    public void setIssueStation(String issueStation) {
        this.issueStation = issueStation;
    }

    /** 
     * Get the 'ReportOpenedDate' element value. The date when the report was opened.
     * 
     * @return value
     */
    public Date getReportOpenedDate() {
        return reportOpenedDate;
    }

    /** 
     * Set the 'ReportOpenedDate' element value. The date when the report was opened.
     * 
     * @param reportOpenedDate
     */
    public void setReportOpenedDate(Date reportOpenedDate) {
        this.reportOpenedDate = reportOpenedDate;
    }
}
