
package com.gridnine.sabre.dqb.tktas;

import com.gridnine.sabre.dqb.ttl.MiscMoney;
import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:ns1="http://www.sabre.com/ns/Ticketing/TTL/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_DRCostInfo">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="CostAmount">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="ns1:Misc.Money">
 *             &lt;xs:attribute type="xs:string" use="required" name="currencyCode"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *     &lt;xs:element name="TotalAmount">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="ns1:Misc.Money">
 *             &lt;xs:attribute type="xs:string" use="required" name="currencyCode"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *     &lt;xs:element name="EquivalentAmount" minOccurs="0" maxOccurs="1">
 *       &lt;!-- Reference to inner class EquivalentAmount -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class _DRCostInfo implements Serializable
{
    private MiscMoney costAmountMiscMoney;
    private String costAmountCurrencyCode;
    private MiscMoney totalAmountMiscMoney;
    private String totalAmountCurrencyCode;
    private EquivalentAmount equivalentAmount;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public MiscMoney getCostAmountMiscMoney() {
        return costAmountMiscMoney;
    }

    /** 
     * Set the extension value.
     * 
     * @param costAmountMiscMoney
     */
    public void setCostAmountMiscMoney(MiscMoney costAmountMiscMoney) {
        this.costAmountMiscMoney = costAmountMiscMoney;
    }

    /** 
     * Get the 'currencyCode' attribute value.
     * 
     * @return value
     */
    public String getCostAmountCurrencyCode() {
        return costAmountCurrencyCode;
    }

    /** 
     * Set the 'currencyCode' attribute value.
     * 
     * @param costAmountCurrencyCode
     */
    public void setCostAmountCurrencyCode(String costAmountCurrencyCode) {
        this.costAmountCurrencyCode = costAmountCurrencyCode;
    }

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public MiscMoney getTotalAmountMiscMoney() {
        return totalAmountMiscMoney;
    }

    /** 
     * Set the extension value.
     * 
     * @param totalAmountMiscMoney
     */
    public void setTotalAmountMiscMoney(MiscMoney totalAmountMiscMoney) {
        this.totalAmountMiscMoney = totalAmountMiscMoney;
    }

    /** 
     * Get the 'currencyCode' attribute value.
     * 
     * @return value
     */
    public String getTotalAmountCurrencyCode() {
        return totalAmountCurrencyCode;
    }

    /** 
     * Set the 'currencyCode' attribute value.
     * 
     * @param totalAmountCurrencyCode
     */
    public void setTotalAmountCurrencyCode(String totalAmountCurrencyCode) {
        this.totalAmountCurrencyCode = totalAmountCurrencyCode;
    }

    /** 
     * Get the 'EquivalentAmount' element value.
     * 
     * @return value
     */
    public EquivalentAmount getEquivalentAmount() {
        return equivalentAmount;
    }

    /** 
     * Set the 'EquivalentAmount' element value.
     * 
     * @param equivalentAmount
     */
    public void setEquivalentAmount(EquivalentAmount equivalentAmount) {
        this.equivalentAmount = equivalentAmount;
    }
    /** 
     * The equivalent amount collected in another currency.
     * 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:ns1="http://www.sabre.com/ns/Ticketing/TTL/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="EquivalentAmount" minOccurs="0" maxOccurs="1">
     *   &lt;xs:complexType>
     *     &lt;xs:simpleContent>
     *       &lt;xs:extension base="ns1:Misc.Money">
     *         &lt;xs:attribute type="xs:string" use="required" name="currencyCode"/>
     *       &lt;/xs:extension>
     *     &lt;/xs:simpleContent>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class EquivalentAmount implements Serializable
    {
        private MiscMoney miscMoney;
        private String currencyCode;

        /** 
         * Get the extension value.
         * 
         * @return value
         */
        public MiscMoney getMiscMoney() {
            return miscMoney;
        }

        /** 
         * Set the extension value.
         * 
         * @param miscMoney
         */
        public void setMiscMoney(MiscMoney miscMoney) {
            this.miscMoney = miscMoney;
        }

        /** 
         * Get the 'currencyCode' attribute value.
         * 
         * @return value
         */
        public String getCurrencyCode() {
            return currencyCode;
        }

        /** 
         * Set the 'currencyCode' attribute value.
         * 
         * @param currencyCode
         */
        public void setCurrencyCode(String currencyCode) {
            this.currencyCode = currencyCode;
        }
    }
}
