
package com.gridnine.sabre.dqb.tktas;

import com.gridnine.sabre.dqb.ttl.MiscMoney;
import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:ns1="http://www.sabre.com/ns/Ticketing/TTL/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_DROBFee">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns1:Misc.Money" name="Amount" minOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="FeeCode" minOccurs="1"/>
 *     &lt;xs:element type="xs:boolean" name="WaivedIndicator" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class _DROBFee implements Serializable
{
    private MiscMoney amount;
    private String feeCode;
    private Boolean waivedIndicator;

    /** 
     * Get the 'Amount' element value. OB Fee amount
     * 
     * @return value
     */
    public MiscMoney getAmount() {
        return amount;
    }

    /** 
     * Set the 'Amount' element value. OB Fee amount
     * 
     * @param amount
     */
    public void setAmount(MiscMoney amount) {
        this.amount = amount;
    }

    /** 
     * Get the 'FeeCode' element value. IATA defined OB Fee code also indicating fee type e.g. OBT01, OBR03, OBFCA
     * 
     * @return value
     */
    public String getFeeCode() {
        return feeCode;
    }

    /** 
     * Set the 'FeeCode' element value. IATA defined OB Fee code also indicating fee type e.g. OBT01, OBR03, OBFCA
     * 
     * @param feeCode
     */
    public void setFeeCode(String feeCode) {
        this.feeCode = feeCode;
    }

    /** 
     * Get the 'WaivedIndicator' element value. Indicates the fee was waived
     * 
     * @return value
     */
    public Boolean getWaivedIndicator() {
        return waivedIndicator;
    }

    /** 
     * Set the 'WaivedIndicator' element value. Indicates the fee was waived
     * 
     * @param waivedIndicator
     */
    public void setWaivedIndicator(Boolean waivedIndicator) {
        this.waivedIndicator = waivedIndicator;
    }
}
