
package com.gridnine.sabre.dqb.tktas;

import com.gridnine.sabre.dqb.ttl.MiscMoney;
import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:ns1="http://www.sabre.com/ns/Ticketing/TTL/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_DRPtaInfo">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="TotalAirfare">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="ns1:Misc.Money">
 *             &lt;xs:attribute type="xs:string" use="required" name="currencyCode"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *     &lt;xs:element name="AddlFunds">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="ns1:Misc.Money">
 *             &lt;xs:attribute type="xs:string" use="required" name="currencyCode"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *     &lt;xs:element name="ServiceCharge" minOccurs="0" maxOccurs="1">
 *       &lt;!-- Reference to inner class ServiceCharge -->
 *     &lt;/xs:element>
 *     &lt;xs:element name="TotalAmount" minOccurs="0" maxOccurs="1">
 *       &lt;!-- Reference to inner class TotalAmount -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class _DRPtaInfo implements Serializable
{
    private MiscMoney totalAirfareMiscMoney;
    private String totalAirfareCurrencyCode;
    private MiscMoney addlFundsMiscMoney;
    private String addlFundsCurrencyCode;
    private ServiceCharge serviceCharge;
    private TotalAmount totalAmount;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public MiscMoney getTotalAirfareMiscMoney() {
        return totalAirfareMiscMoney;
    }

    /** 
     * Set the extension value.
     * 
     * @param totalAirfareMiscMoney
     */
    public void setTotalAirfareMiscMoney(MiscMoney totalAirfareMiscMoney) {
        this.totalAirfareMiscMoney = totalAirfareMiscMoney;
    }

    /** 
     * Get the 'currencyCode' attribute value.
     * 
     * @return value
     */
    public String getTotalAirfareCurrencyCode() {
        return totalAirfareCurrencyCode;
    }

    /** 
     * Set the 'currencyCode' attribute value.
     * 
     * @param totalAirfareCurrencyCode
     */
    public void setTotalAirfareCurrencyCode(String totalAirfareCurrencyCode) {
        this.totalAirfareCurrencyCode = totalAirfareCurrencyCode;
    }

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public MiscMoney getAddlFundsMiscMoney() {
        return addlFundsMiscMoney;
    }

    /** 
     * Set the extension value.
     * 
     * @param addlFundsMiscMoney
     */
    public void setAddlFundsMiscMoney(MiscMoney addlFundsMiscMoney) {
        this.addlFundsMiscMoney = addlFundsMiscMoney;
    }

    /** 
     * Get the 'currencyCode' attribute value.
     * 
     * @return value
     */
    public String getAddlFundsCurrencyCode() {
        return addlFundsCurrencyCode;
    }

    /** 
     * Set the 'currencyCode' attribute value.
     * 
     * @param addlFundsCurrencyCode
     */
    public void setAddlFundsCurrencyCode(String addlFundsCurrencyCode) {
        this.addlFundsCurrencyCode = addlFundsCurrencyCode;
    }

    /** 
     * Get the 'ServiceCharge' element value.
     * 
     * @return value
     */
    public ServiceCharge getServiceCharge() {
        return serviceCharge;
    }

    /** 
     * Set the 'ServiceCharge' element value.
     * 
     * @param serviceCharge
     */
    public void setServiceCharge(ServiceCharge serviceCharge) {
        this.serviceCharge = serviceCharge;
    }

    /** 
     * Get the 'TotalAmount' element value.
     * 
     * @return value
     */
    public TotalAmount getTotalAmount() {
        return totalAmount;
    }

    /** 
     * Set the 'TotalAmount' element value.
     * 
     * @param totalAmount
     */
    public void setTotalAmount(TotalAmount totalAmount) {
        this.totalAmount = totalAmount;
    }
    /** 
     * Amount of service charges collected.
     * 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:ns1="http://www.sabre.com/ns/Ticketing/TTL/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ServiceCharge" minOccurs="0" maxOccurs="1">
     *   &lt;xs:complexType>
     *     &lt;xs:simpleContent>
     *       &lt;xs:extension base="ns1:Misc.Money">
     *         &lt;xs:attribute type="xs:string" use="required" name="currencyCode"/>
     *       &lt;/xs:extension>
     *     &lt;/xs:simpleContent>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class ServiceCharge implements Serializable
    {
        private MiscMoney miscMoney;
        private String currencyCode;

        /** 
         * Get the extension value.
         * 
         * @return value
         */
        public MiscMoney getMiscMoney() {
            return miscMoney;
        }

        /** 
         * Set the extension value.
         * 
         * @param miscMoney
         */
        public void setMiscMoney(MiscMoney miscMoney) {
            this.miscMoney = miscMoney;
        }

        /** 
         * Get the 'currencyCode' attribute value.
         * 
         * @return value
         */
        public String getCurrencyCode() {
            return currencyCode;
        }

        /** 
         * Set the 'currencyCode' attribute value.
         * 
         * @param currencyCode
         */
        public void setCurrencyCode(String currencyCode) {
            this.currencyCode = currencyCode;
        }
    }
    /** 
     * Total amount of the pre-Paid Ticket Advice.
     * 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:ns1="http://www.sabre.com/ns/Ticketing/TTL/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TotalAmount" minOccurs="0" maxOccurs="1">
     *   &lt;xs:complexType>
     *     &lt;xs:simpleContent>
     *       &lt;xs:extension base="ns1:Misc.Money">
     *         &lt;xs:attribute type="xs:string" use="required" name="currencyCode"/>
     *       &lt;/xs:extension>
     *     &lt;/xs:simpleContent>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class TotalAmount implements Serializable
    {
        private MiscMoney miscMoney;
        private String currencyCode;

        /** 
         * Get the extension value.
         * 
         * @return value
         */
        public MiscMoney getMiscMoney() {
            return miscMoney;
        }

        /** 
         * Set the extension value.
         * 
         * @param miscMoney
         */
        public void setMiscMoney(MiscMoney miscMoney) {
            this.miscMoney = miscMoney;
        }

        /** 
         * Get the 'currencyCode' attribute value.
         * 
         * @return value
         */
        public String getCurrencyCode() {
            return currencyCode;
        }

        /** 
         * Set the 'currencyCode' attribute value.
         * 
         * @param currencyCode
         */
        public void setCurrencyCode(String currencyCode) {
            this.currencyCode = currencyCode;
        }
    }
}
