
package com.gridnine.sabre.dqb.tktas;

import com.gridnine.sabre.dqb.ttl.MiscMoney;
import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:ns1="http://www.sabre.com/ns/Ticketing/TTL/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_DRTaxInfo">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="TaxAmount">
 *       &lt;xs:complexType>
 *         &lt;xs:simpleContent>
 *           &lt;xs:extension base="ns1:Misc.Money">
 *             &lt;xs:attribute type="xs:boolean" name="isPaid"/>
 *             &lt;xs:attribute type="xs:string" use="required" name="currencyCode"/>
 *             &lt;xs:attribute type="xs:string" name="taxCode"/>
 *             &lt;xs:attribute type="xs:boolean" name="isFee"/>
 *           &lt;/xs:extension>
 *         &lt;/xs:simpleContent>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class _DRTaxInfo implements Serializable
{
    private MiscMoney taxAmountMiscMoney;
    private Boolean taxAmountIsPaid;
    private String taxAmountCurrencyCode;
    private String taxAmountTaxCode;
    private Boolean taxAmountIsFee;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public MiscMoney getTaxAmountMiscMoney() {
        return taxAmountMiscMoney;
    }

    /** 
     * Set the extension value.
     * 
     * @param taxAmountMiscMoney
     */
    public void setTaxAmountMiscMoney(MiscMoney taxAmountMiscMoney) {
        this.taxAmountMiscMoney = taxAmountMiscMoney;
    }

    /** 
     * Get the 'isPaid' attribute value. Is this a previously paid tax?
     * 
     * @return value
     */
    public Boolean getTaxAmountIsPaid() {
        return taxAmountIsPaid;
    }

    /** 
     * Set the 'isPaid' attribute value. Is this a previously paid tax?
     * 
     * @param taxAmountIsPaid
     */
    public void setTaxAmountIsPaid(Boolean taxAmountIsPaid) {
        this.taxAmountIsPaid = taxAmountIsPaid;
    }

    /** 
     * Get the 'currencyCode' attribute value. Currency for tax.
     * 
     * @return value
     */
    public String getTaxAmountCurrencyCode() {
        return taxAmountCurrencyCode;
    }

    /** 
     * Set the 'currencyCode' attribute value. Currency for tax.
     * 
     * @param taxAmountCurrencyCode
     */
    public void setTaxAmountCurrencyCode(String taxAmountCurrencyCode) {
        this.taxAmountCurrencyCode = taxAmountCurrencyCode;
    }

    /** 
     * Get the 'taxCode' attribute value. Type of tax collected.
     * 
     * @return value
     */
    public String getTaxAmountTaxCode() {
        return taxAmountTaxCode;
    }

    /** 
     * Set the 'taxCode' attribute value. Type of tax collected.
     * 
     * @param taxAmountTaxCode
     */
    public void setTaxAmountTaxCode(String taxAmountTaxCode) {
        this.taxAmountTaxCode = taxAmountTaxCode;
    }

    /** 
     * Get the 'isFee' attribute value. Is this a fee and not an actual tax?
     * 
     * @return value
     */
    public Boolean getTaxAmountIsFee() {
        return taxAmountIsFee;
    }

    /** 
     * Set the 'isFee' attribute value. Is this a fee and not an actual tax?
     * 
     * @param taxAmountIsFee
     */
    public void setTaxAmountIsFee(Boolean taxAmountIsFee) {
        this.taxAmountIsFee = taxAmountIsFee;
    }
}
