
package com.gridnine.sabre.dqb.tktas;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * The total sales for the report. 
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_DSTotalDailySales">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="TransactionType"/>
 *     &lt;xs:element type="ns:_DSTotalDailySalesBySettlementType" name="SalesBySettlement" minOccurs="1" maxOccurs="unbounded"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class _DSTotalDailySales implements Serializable
{
    private String transactionType;
    private List<_DSTotalDailySalesBySettlementType> salesBySettlementList = new ArrayList<_DSTotalDailySalesBySettlementType>();

    /** 
     * Get the 'TransactionType' element value. The transaction code. Ex: SALE (The original sale of a document), RFND (A refunded document), CNCL (A No-Pnr Void or System Cancel) 
     * 
     * @return value
     */
    public String getTransactionType() {
        return transactionType;
    }

    /** 
     * Set the 'TransactionType' element value. The transaction code. Ex: SALE (The original sale of a document), RFND (A refunded document), CNCL (A No-Pnr Void or System Cancel) 
     * 
     * @param transactionType
     */
    public void setTransactionType(String transactionType) {
        this.transactionType = transactionType;
    }

    /** 
     * Get the list of 'SalesBySettlement' element items. Sales totalled by Settlement Type for a paticular transaction 
     * 
     * @return list
     */
    public List<_DSTotalDailySalesBySettlementType> getSalesBySettlementList() {
        return salesBySettlementList;
    }

    /** 
     * Set the list of 'SalesBySettlement' element items. Sales totalled by Settlement Type for a paticular transaction 
     * 
     * @param list
     */
    public void setSalesBySettlementList(
            List<_DSTotalDailySalesBySettlementType> list) {
        salesBySettlementList = list;
    }
}
