
package com.gridnine.sabre.dqb.tktas;

import com.gridnine.sabre.dqb.ttl.CodeCurrency;
import java.io.Serializable;

/** 
 * The total sales per currency code. 
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:ns1="http://www.sabre.com/ns/Ticketing/TTL/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_DSTotalDailySalesByCurrency">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns1:_Code.Currency" name="CurrencyCode" minOccurs="0"/>
 *     &lt;xs:element type="ns:_Totals" name="CashTotals" minOccurs="0"/>
 *     &lt;xs:element type="ns:_Totals" name="CreditTotals" minOccurs="0"/>
 *     &lt;xs:element type="ns:_Totals" name="CommissionTotals" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class _DSTotalDailySalesByCurrency implements Serializable
{
    private CodeCurrency currencyCode;
    private _Totals cashTotals;
    private _Totals creditTotals;
    private _Totals commissionTotals;

    /** 
     * Get the 'CurrencyCode' element value. The currency code of the total cash sales. 
     * 
     * @return value
     */
    public CodeCurrency getCurrencyCode() {
        return currencyCode;
    }

    /** 
     * Set the 'CurrencyCode' element value. The currency code of the total cash sales. 
     * 
     * @param currencyCode
     */
    public void setCurrencyCode(CodeCurrency currencyCode) {
        this.currencyCode = currencyCode;
    }

    /** 
     * Get the 'CashTotals' element value. The total cash sales 
     * 
     * @return value
     */
    public _Totals getCashTotals() {
        return cashTotals;
    }

    /** 
     * Set the 'CashTotals' element value. The total cash sales 
     * 
     * @param cashTotals
     */
    public void setCashTotals(_Totals cashTotals) {
        this.cashTotals = cashTotals;
    }

    /** 
     * Get the 'CreditTotals' element value. The total credit sales 
     * 
     * @return value
     */
    public _Totals getCreditTotals() {
        return creditTotals;
    }

    /** 
     * Set the 'CreditTotals' element value. The total credit sales 
     * 
     * @param creditTotals
     */
    public void setCreditTotals(_Totals creditTotals) {
        this.creditTotals = creditTotals;
    }

    /** 
     * Get the 'CommissionTotals' element value. The total commission  
     * 
     * @return value
     */
    public _Totals getCommissionTotals() {
        return commissionTotals;
    }

    /** 
     * Set the 'CommissionTotals' element value. The total commission  
     * 
     * @param commissionTotals
     */
    public void setCommissionTotals(_Totals commissionTotals) {
        this.commissionTotals = commissionTotals;
    }
}
