
package com.gridnine.sabre.dqb.tktas;

import java.io.Serializable;
import java.sql.Date;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_ExceptionHeader">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:date" name="ReportDate"/>
 *     &lt;xs:element type="xs:string" name="TicketingProvider"/>
 *     &lt;xs:element type="xs:string" name="StationNumber"/>
 *     &lt;xs:element type="xs:string" name="CityAirportCode"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class _ExceptionHeader implements Serializable
{
    private Date reportDate;
    private String ticketingProvider;
    private String stationNumber;
    private String cityAirportCode;

    /** 
     * Get the 'ReportDate' element value. Report contains data from this date.
     * 
     * @return value
     */
    public Date getReportDate() {
        return reportDate;
    }

    /** 
     * Set the 'ReportDate' element value. Report contains data from this date.
     * 
     * @param reportDate
     */
    public void setReportDate(Date reportDate) {
        this.reportDate = reportDate;
    }

    /** 
     * Get the 'TicketingProvider' element value. Carrier data is being shown for.
     * 
     * @return value
     */
    public String getTicketingProvider() {
        return ticketingProvider;
    }

    /** 
     * Set the 'TicketingProvider' element value. Carrier data is being shown for.
     * 
     * @param ticketingProvider
     */
    public void setTicketingProvider(String ticketingProvider) {
        this.ticketingProvider = ticketingProvider;
    }

    /** 
     * Get the 'StationNumber' element value. Unique identifier for station report was created for.
     * 
     * @return value
     */
    public String getStationNumber() {
        return stationNumber;
    }

    /** 
     * Set the 'StationNumber' element value. Unique identifier for station report was created for.
     * 
     * @param stationNumber
     */
    public void setStationNumber(String stationNumber) {
        this.stationNumber = stationNumber;
    }

    /** 
     * Get the 'CityAirportCode' element value. 3 letter City Airport Code of the agent's home city
     * 
     * @return value
     */
    public String getCityAirportCode() {
        return cityAirportCode;
    }

    /** 
     * Set the 'CityAirportCode' element value. 3 letter City Airport Code of the agent's home city
     * 
     * @param cityAirportCode
     */
    public void setCityAirportCode(String cityAirportCode) {
        this.cityAirportCode = cityAirportCode;
    }
}
