
package com.gridnine.sabre.dqb.tktas;

import com.gridnine.sabre.dqb.ttl.MiscMoney;
import java.io.Serializable;

/** 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.sabre.com/ns/Ticketing/AsrServices/1.0" xmlns:ns1="http://www.sabre.com/ns/Ticketing/TTL/1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="_SSFop">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="FopCode"/>
 *     &lt;xs:element type="xs:string" name="CurrencyCode"/>
 *     &lt;xs:element type="ns1:Misc.Money" name="FareAmount"/>
 *     &lt;xs:element type="ns1:Misc.Money" name="TaxAmount"/>
 *     &lt;xs:element type="ns1:Misc.Money" name="TotalAmount"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class _SSFop implements Serializable
{
    private String fopCode;
    private String currencyCode;
    private MiscMoney fareAmount;
    private MiscMoney taxAmount;
    private MiscMoney totalAmount;

    /** 
     * Get the 'FopCode' element value. Form of Payment Code.
     * 
     * @return value
     */
    public String getFopCode() {
        return fopCode;
    }

    /** 
     * Set the 'FopCode' element value. Form of Payment Code.
     * 
     * @param fopCode
     */
    public void setFopCode(String fopCode) {
        this.fopCode = fopCode;
    }

    /** 
     * Get the 'CurrencyCode' element value. Currency of the money collected.
     * 
     * @return value
     */
    public String getCurrencyCode() {
        return currencyCode;
    }

    /** 
     * Set the 'CurrencyCode' element value. Currency of the money collected.
     * 
     * @param currencyCode
     */
    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    /** 
     * Get the 'FareAmount' element value. Fare amount collected for the document.
     * 
     * @return value
     */
    public MiscMoney getFareAmount() {
        return fareAmount;
    }

    /** 
     * Set the 'FareAmount' element value. Fare amount collected for the document.
     * 
     * @param fareAmount
     */
    public void setFareAmount(MiscMoney fareAmount) {
        this.fareAmount = fareAmount;
    }

    /** 
     * Get the 'TaxAmount' element value. Tax amount collected for the document.
     * 
     * @return value
     */
    public MiscMoney getTaxAmount() {
        return taxAmount;
    }

    /** 
     * Set the 'TaxAmount' element value. Tax amount collected for the document.
     * 
     * @param taxAmount
     */
    public void setTaxAmount(MiscMoney taxAmount) {
        this.taxAmount = taxAmount;
    }

    /** 
     * Get the 'TotalAmount' element value. Total amount collected for the document.
     * 
     * @return value
     */
    public MiscMoney getTotalAmount() {
        return totalAmount;
    }

    /** 
     * Set the 'TotalAmount' element value. Total amount collected for the document.
     * 
     * @param totalAmount
     */
    public void setTotalAmount(MiscMoney totalAmount) {
        this.totalAmount = totalAmount;
    }
}
