
package com.gridnine.sabre.jaxws.ota2.builtins;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * OTA2_BuiltIns_v2.0.0 (http://opentravel.org/common/v02) is deprecated and may be removed from future releases, use OTA2_SimpleTypes_0.0.0 (http://www.opentravel.org/OTM/Common/v0) instead.
 * 
 * An ISO 4217 currency code for the base currency that's being converted.
 * 
 * <p>Java class for ExchangeRate complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ExchangeRate">
 *   &lt;simpleContent>
 *     &lt;extension base="&lt;http://opentravel.org/common/v02>Code_ISO_Currency">
 *       &lt;attribute name="baseNUC" type="{http://opentravel.org/common/v02}Money" />
 *       &lt;attribute name="exchangeDateTime" use="required" type="{http://opentravel.org/common/v02}Date_DateTime" />
 *       &lt;attribute name="exchangeRate" use="required" type="{http://www.w3.org/2001/XMLSchema}decimal" />
 *       &lt;attribute name="exchangeSourceName" type="{http://opentravel.org/common/v02}String_Short" />
 *       &lt;attribute name="exchangeSourceURL" type="{http://opentravel.org/common/v02}URL" />
 *       &lt;attribute name="toCurrency" use="required" type="{http://opentravel.org/common/v02}Code_ISO_Currency" />
 *     &lt;/extension>
 *   &lt;/simpleContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ExchangeRate", propOrder = {
    "value"
})
public class ExchangeRate
    implements Serializable
{

    @XmlValue
    protected String value;
    @XmlAttribute(name = "baseNUC")
    protected BigDecimal baseNUC;
    @XmlAttribute(name = "exchangeDateTime", required = true)
    protected XMLGregorianCalendar exchangeDateTime;
    @XmlAttribute(name = "exchangeRate", required = true)
    protected BigDecimal exchangeRate;
    @XmlAttribute(name = "exchangeSourceName")
    protected String exchangeSourceName;
    @XmlAttribute(name = "exchangeSourceURL")
    protected String exchangeSourceURL;
    @XmlAttribute(name = "toCurrency", required = true)
    protected String toCurrency;

    /**
     * http://bit.ly/OTA2_ISO4217
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * Gets the value of the baseNUC property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getBaseNUC() {
        return baseNUC;
    }

    /**
     * Sets the value of the baseNUC property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setBaseNUC(BigDecimal value) {
        this.baseNUC = value;
    }

    /**
     * Gets the value of the exchangeDateTime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getExchangeDateTime() {
        return exchangeDateTime;
    }

    /**
     * Sets the value of the exchangeDateTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setExchangeDateTime(XMLGregorianCalendar value) {
        this.exchangeDateTime = value;
    }

    /**
     * Gets the value of the exchangeRate property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getExchangeRate() {
        return exchangeRate;
    }

    /**
     * Sets the value of the exchangeRate property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setExchangeRate(BigDecimal value) {
        this.exchangeRate = value;
    }

    /**
     * Gets the value of the exchangeSourceName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExchangeSourceName() {
        return exchangeSourceName;
    }

    /**
     * Sets the value of the exchangeSourceName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExchangeSourceName(String value) {
        this.exchangeSourceName = value;
    }

    /**
     * Gets the value of the exchangeSourceURL property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExchangeSourceURL() {
        return exchangeSourceURL;
    }

    /**
     * Sets the value of the exchangeSourceURL property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExchangeSourceURL(String value) {
        this.exchangeSourceURL = value;
    }

    /**
     * Gets the value of the toCurrency property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getToCurrency() {
        return toCurrency;
    }

    /**
     * Sets the value of the toCurrency property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setToCurrency(String value) {
        this.toCurrency = value;
    }

}
