
package com.gridnine.sabre.jaxws.ota2.message;

import java.io.Serializable;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * All messages contain service and header elements followed by RQ/RS elements.
 * 				the RQ/RS elements
 * 				must be a member of the OTA2_Payload substitution group.  
 * 		
 * 
 * <p>Java class for OTA2_Envelope complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OTA2_Envelope">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Service" type="{http://opentravel.org/common/message/v02}ServiceIdentifier"/>
 *         &lt;element ref="{http://opentravel.org/common/message/v02}MessageHeader"/>
 *         &lt;element ref="{http://opentravel.org/common/message/v02}OTA2_Payload"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OTA2_Envelope", propOrder = {
    "service",
    "messageHeader",
    "ota2Payload"
})
public class OTA2Envelope
    implements Serializable
{

    @XmlElement(name = "Service", required = true)
    protected ServiceIdentifier service;
    @XmlElement(name = "MessageHeader", required = true)
    protected MessageHeader messageHeader;
    @XmlElementRef(name = "OTA2_Payload", namespace = "http://opentravel.org/common/message/v02", type = JAXBElement.class)
    protected JAXBElement<? extends OTA2Payload> ota2Payload;

    /**
     * Gets the value of the service property.
     * 
     * @return
     *     possible object is
     *     {@link ServiceIdentifier }
     *     
     */
    public ServiceIdentifier getService() {
        return service;
    }

    /**
     * Sets the value of the service property.
     * 
     * @param value
     *     allowed object is
     *     {@link ServiceIdentifier }
     *     
     */
    public void setService(ServiceIdentifier value) {
        this.service = value;
    }

    /**
     * Gets the value of the messageHeader property.
     * 
     * @return
     *     possible object is
     *     {@link MessageHeader }
     *     
     */
    public MessageHeader getMessageHeader() {
        return messageHeader;
    }

    /**
     * Sets the value of the messageHeader property.
     * 
     * @param value
     *     allowed object is
     *     {@link MessageHeader }
     *     
     */
    public void setMessageHeader(MessageHeader value) {
        this.messageHeader = value;
    }

    /**
     * Gets the value of the ota2Payload property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link OTA2RequestPayload }{@code >}
     *     {@link JAXBElement }{@code <}{@link OTA2ResponsePayload }{@code >}
     *     {@link JAXBElement }{@code <}{@link OTA2Payload }{@code >}
     *     {@link JAXBElement }{@code <}{@link OTA2NotifPayload }{@code >}
     *     
     */
    public JAXBElement<? extends OTA2Payload> getOTA2Payload() {
        return ota2Payload;
    }

    /**
     * Sets the value of the ota2Payload property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link OTA2RequestPayload }{@code >}
     *     {@link JAXBElement }{@code <}{@link OTA2ResponsePayload }{@code >}
     *     {@link JAXBElement }{@code <}{@link OTA2Payload }{@code >}
     *     {@link JAXBElement }{@code <}{@link OTA2NotifPayload }{@code >}
     *     
     */
    public void setOTA2Payload(JAXBElement<? extends OTA2Payload> value) {
        this.ota2Payload = value;
    }

}
