
package com.sabre.services.merch.ancillary.offer.v03;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import com.gridnine.sabre.jaxws.stl2.payload.STLRequestPayload;
import com.sabre.services.merch.ancillary.v03.AncillaryRequestOptions;
import com.sabre.services.merch.ancillary.v03.PriceQuote;
import com.sabre.services.merch.ancillary.v03.SegmentEligibleForCheck;
import com.sabre.services.merch.common.v03.Extensions;
import com.sabre.services.merch.common.v03.SSRDetails;
import com.sabre.services.merch.fare.v03.FareInfo;
import com.sabre.services.merch.itinerary.v03.ItineraryRequestOptions;
import com.sabre.services.merch.itinerary.v03.PassengerSegment;
import com.sabre.services.merch.itinerary.v03.Segment;
import com.sabre.services.merch.passenger.v03.LoyaltyAccounts;
import com.sabre.services.merch.passenger.v03.PassengerReferenceNumber;
import com.sabre.services.merch.passenger.v03.PassengerType;
import com.sabre.services.merch.request.v03.ClientContext;
import com.sabre.services.merch.request.v03.PNRLocator;
import com.sabre.services.merch.request.v03.PassengerSegmentSSR;
import com.sabre.services.merch.request.v03.RequestOptions;
import com.sabre.services.merch.request.v03.RequestType;
import com.sabre.services.merch.ticket.v03.Ticket;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;extension base="{http://services.sabre.com/STL_Payload/v02_01}STL_Request_Payload">
 *       &lt;sequence>
 *         &lt;element name="RequestType" type="{http://services.sabre.com/merch/request/v03}RequestType"/>
 *         &lt;element name="RequestMode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ClientContext" type="{http://services.sabre.com/merch/request/v03}ClientContext" minOccurs="0"/>
 *         &lt;element name="AncillaryRequestOptions" type="{http://services.sabre.com/merch/ancillary/v03}AncillaryRequestOptions" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element name="QueryByLocator">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="PNR_Locator" type="{http://services.sabre.com/merch/request/v03}PNR_Locator"/>
 *                     &lt;element name="Passenger" maxOccurs="99">
 *                       &lt;complexType>
 *                         &lt;complexContent>
 *                           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                             &lt;sequence>
 *                               &lt;element name="PassengerRef" type="{http://services.sabre.com/merch/passenger/v03}PassengerReferenceNumber"/>
 *                               &lt;element name="LoyaltyAccounts" type="{http://services.sabre.com/merch/passenger/v03}LoyaltyAccounts" minOccurs="0"/>
 *                               &lt;element name="PassengerRelatedSSR" type="{http://services.sabre.com/merch/common/v03}SSR_Details" minOccurs="0"/>
 *                               &lt;element name="FlightRelatedSSR" type="{http://services.sabre.com/merch/request/v03}PassengerSegmentSSR" maxOccurs="99" minOccurs="0"/>
 *                             &lt;/sequence>
 *                           &lt;/restriction>
 *                         &lt;/complexContent>
 *                       &lt;/complexType>
 *                     &lt;/element>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="QueryByItinerary">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="QueryPassengerItinerary" maxOccurs="99" minOccurs="0">
 *                       &lt;complexType>
 *                         &lt;complexContent>
 *                           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                             &lt;sequence>
 *                               &lt;element name="Passenger" type="{http://services.sabre.com/merch/passenger/v03}Passenger"/>
 *                               &lt;element name="PassengerItinerary" maxOccurs="99">
 *                                 &lt;complexType>
 *                                   &lt;complexContent>
 *                                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                       &lt;sequence>
 *                                         &lt;element name="PassengerSegment" type="{http://services.sabre.com/merch/itinerary/v03}PassengerSegment" maxOccurs="99"/>
 *                                         &lt;element name="Ticket" type="{http://services.sabre.com/merch/ticket/v03}Ticket" minOccurs="0"/>
 *                                       &lt;/sequence>
 *                                       &lt;attribute name="ticketReferenceNumber" type="{http://www.w3.org/2001/XMLSchema}string" />
 *                                       &lt;attribute name="tourCode" type="{http://services.sabre.com/merch/common/v03}CodeTour" />
 *                                     &lt;/restriction>
 *                                   &lt;/complexContent>
 *                                 &lt;/complexType>
 *                               &lt;/element>
 *                             &lt;/sequence>
 *                           &lt;/restriction>
 *                         &lt;/complexContent>
 *                       &lt;/complexType>
 *                     &lt;/element>
 *                     &lt;element name="Segment" type="{http://services.sabre.com/merch/itinerary/v03}Segment" maxOccurs="99"/>
 *                     &lt;element name="FareInfo" type="{http://services.sabre.com/merch/fare/v03}FareInfo" maxOccurs="9999" minOccurs="0"/>
 *                     &lt;element name="ItineraryRequestOptions" type="{http://services.sabre.com/merch/itinerary/v03}ItineraryRequestOptions" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="QueryByPassenger">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="PriceQuote" type="{http://services.sabre.com/merch/ancillary/v03}PriceQuote" maxOccurs="99" minOccurs="0"/>
 *                     &lt;element name="PassengerRef" type="{http://services.sabre.com/merch/passenger/v03}PassengerReferenceNumber" maxOccurs="99" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="QueryByPassengerType">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="PassengerType" type="{http://services.sabre.com/merch/passenger/v03}PassengerType" maxOccurs="99" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="QueryByTicket">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="TicketReferenceNumber" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="99"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *         &lt;/choice>
 *         &lt;element name="SegmentsEligibleForCheck-in" type="{http://services.sabre.com/merch/ancillary/v03}SegmentEligibleForCheck" maxOccurs="20" minOccurs="0"/>
 *         &lt;element name="VoluntaryShortCheck-in" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="RequestOptions" type="{http://services.sabre.com/merch/request/v03}RequestOptions" minOccurs="0"/>
 *         &lt;element name="Extensions" type="{http://services.sabre.com/merch/common/v03}Extensions" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "requestType",
    "requestMode",
    "clientContext",
    "ancillaryRequestOptions",
    "queryByLocator",
    "queryByItinerary",
    "queryByPassenger",
    "queryByPassengerType",
    "queryByTicket",
    "segmentsEligibleForCheckIn",
    "voluntaryShortCheckIn",
    "requestOptions",
    "extensions"
})
@XmlRootElement(name = "GetAncillaryOffersRQ")
public class GetAncillaryOffersRQ
    extends STLRequestPayload
    implements Serializable
{

    @XmlElement(name = "RequestType", required = true)
    protected RequestType requestType;
    @XmlElement(name = "RequestMode", required = true)
    protected String requestMode;
    @XmlElement(name = "ClientContext")
    protected ClientContext clientContext;
    @XmlElement(name = "AncillaryRequestOptions")
    protected List<AncillaryRequestOptions> ancillaryRequestOptions;
    @XmlElement(name = "QueryByLocator")
    protected GetAncillaryOffersRQ.QueryByLocator queryByLocator;
    @XmlElement(name = "QueryByItinerary")
    protected GetAncillaryOffersRQ.QueryByItinerary queryByItinerary;
    @XmlElement(name = "QueryByPassenger")
    protected GetAncillaryOffersRQ.QueryByPassenger queryByPassenger;
    @XmlElement(name = "QueryByPassengerType")
    protected GetAncillaryOffersRQ.QueryByPassengerType queryByPassengerType;
    @XmlElement(name = "QueryByTicket")
    protected GetAncillaryOffersRQ.QueryByTicket queryByTicket;
    @XmlElement(name = "SegmentsEligibleForCheck-in")
    protected List<SegmentEligibleForCheck> segmentsEligibleForCheckIn;
    @XmlElement(name = "VoluntaryShortCheck-in")
    protected Boolean voluntaryShortCheckIn;
    @XmlElement(name = "RequestOptions")
    protected RequestOptions requestOptions;
    @XmlElement(name = "Extensions")
    protected Extensions extensions;

    /**
     * Gets the value of the requestType property.
     * 
     * @return
     *     possible object is
     *     {@link RequestType }
     *     
     */
    public RequestType getRequestType() {
        return requestType;
    }

    /**
     * Sets the value of the requestType property.
     * 
     * @param value
     *     allowed object is
     *     {@link RequestType }
     *     
     */
    public void setRequestType(RequestType value) {
        this.requestType = value;
    }

    /**
     * Gets the value of the requestMode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRequestMode() {
        return requestMode;
    }

    /**
     * Sets the value of the requestMode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRequestMode(String value) {
        this.requestMode = value;
    }

    /**
     * Gets the value of the clientContext property.
     * 
     * @return
     *     possible object is
     *     {@link ClientContext }
     *     
     */
    public ClientContext getClientContext() {
        return clientContext;
    }

    /**
     * Sets the value of the clientContext property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClientContext }
     *     
     */
    public void setClientContext(ClientContext value) {
        this.clientContext = value;
    }

    /**
     * Gets the value of the ancillaryRequestOptions property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the ancillaryRequestOptions property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAncillaryRequestOptions().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AncillaryRequestOptions }
     * 
     * 
     */
    public List<AncillaryRequestOptions> getAncillaryRequestOptions() {
        if (ancillaryRequestOptions == null) {
            ancillaryRequestOptions = new ArrayList<AncillaryRequestOptions>();
        }
        return this.ancillaryRequestOptions;
    }

    /**
     * Gets the value of the queryByLocator property.
     * 
     * @return
     *     possible object is
     *     {@link GetAncillaryOffersRQ.QueryByLocator }
     *     
     */
    public GetAncillaryOffersRQ.QueryByLocator getQueryByLocator() {
        return queryByLocator;
    }

    /**
     * Sets the value of the queryByLocator property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetAncillaryOffersRQ.QueryByLocator }
     *     
     */
    public void setQueryByLocator(GetAncillaryOffersRQ.QueryByLocator value) {
        this.queryByLocator = value;
    }

    /**
     * Gets the value of the queryByItinerary property.
     * 
     * @return
     *     possible object is
     *     {@link GetAncillaryOffersRQ.QueryByItinerary }
     *     
     */
    public GetAncillaryOffersRQ.QueryByItinerary getQueryByItinerary() {
        return queryByItinerary;
    }

    /**
     * Sets the value of the queryByItinerary property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetAncillaryOffersRQ.QueryByItinerary }
     *     
     */
    public void setQueryByItinerary(GetAncillaryOffersRQ.QueryByItinerary value) {
        this.queryByItinerary = value;
    }

    /**
     * Gets the value of the queryByPassenger property.
     * 
     * @return
     *     possible object is
     *     {@link GetAncillaryOffersRQ.QueryByPassenger }
     *     
     */
    public GetAncillaryOffersRQ.QueryByPassenger getQueryByPassenger() {
        return queryByPassenger;
    }

    /**
     * Sets the value of the queryByPassenger property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetAncillaryOffersRQ.QueryByPassenger }
     *     
     */
    public void setQueryByPassenger(GetAncillaryOffersRQ.QueryByPassenger value) {
        this.queryByPassenger = value;
    }

    /**
     * Gets the value of the queryByPassengerType property.
     * 
     * @return
     *     possible object is
     *     {@link GetAncillaryOffersRQ.QueryByPassengerType }
     *     
     */
    public GetAncillaryOffersRQ.QueryByPassengerType getQueryByPassengerType() {
        return queryByPassengerType;
    }

    /**
     * Sets the value of the queryByPassengerType property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetAncillaryOffersRQ.QueryByPassengerType }
     *     
     */
    public void setQueryByPassengerType(GetAncillaryOffersRQ.QueryByPassengerType value) {
        this.queryByPassengerType = value;
    }

    /**
     * Gets the value of the queryByTicket property.
     * 
     * @return
     *     possible object is
     *     {@link GetAncillaryOffersRQ.QueryByTicket }
     *     
     */
    public GetAncillaryOffersRQ.QueryByTicket getQueryByTicket() {
        return queryByTicket;
    }

    /**
     * Sets the value of the queryByTicket property.
     * 
     * @param value
     *     allowed object is
     *     {@link GetAncillaryOffersRQ.QueryByTicket }
     *     
     */
    public void setQueryByTicket(GetAncillaryOffersRQ.QueryByTicket value) {
        this.queryByTicket = value;
    }

    /**
     * Gets the value of the segmentsEligibleForCheckIn property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the segmentsEligibleForCheckIn property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSegmentsEligibleForCheckIn().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SegmentEligibleForCheck }
     * 
     * 
     */
    public List<SegmentEligibleForCheck> getSegmentsEligibleForCheckIn() {
        if (segmentsEligibleForCheckIn == null) {
            segmentsEligibleForCheckIn = new ArrayList<SegmentEligibleForCheck>();
        }
        return this.segmentsEligibleForCheckIn;
    }

    /**
     * Gets the value of the voluntaryShortCheckIn property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getVoluntaryShortCheckIn() {
        return voluntaryShortCheckIn;
    }

    /**
     * Sets the value of the voluntaryShortCheckIn property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setVoluntaryShortCheckIn(Boolean value) {
        this.voluntaryShortCheckIn = value;
    }

    /**
     * Gets the value of the requestOptions property.
     * 
     * @return
     *     possible object is
     *     {@link RequestOptions }
     *     
     */
    public RequestOptions getRequestOptions() {
        return requestOptions;
    }

    /**
     * Sets the value of the requestOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link RequestOptions }
     *     
     */
    public void setRequestOptions(RequestOptions value) {
        this.requestOptions = value;
    }

    /**
     * Gets the value of the extensions property.
     * 
     * @return
     *     possible object is
     *     {@link Extensions }
     *     
     */
    public Extensions getExtensions() {
        return extensions;
    }

    /**
     * Sets the value of the extensions property.
     * 
     * @param value
     *     allowed object is
     *     {@link Extensions }
     *     
     */
    public void setExtensions(Extensions value) {
        this.extensions = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="QueryPassengerItinerary" maxOccurs="99" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="Passenger" type="{http://services.sabre.com/merch/passenger/v03}Passenger"/>
     *                   &lt;element name="PassengerItinerary" maxOccurs="99">
     *                     &lt;complexType>
     *                       &lt;complexContent>
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                           &lt;sequence>
     *                             &lt;element name="PassengerSegment" type="{http://services.sabre.com/merch/itinerary/v03}PassengerSegment" maxOccurs="99"/>
     *                             &lt;element name="Ticket" type="{http://services.sabre.com/merch/ticket/v03}Ticket" minOccurs="0"/>
     *                           &lt;/sequence>
     *                           &lt;attribute name="ticketReferenceNumber" type="{http://www.w3.org/2001/XMLSchema}string" />
     *                           &lt;attribute name="tourCode" type="{http://services.sabre.com/merch/common/v03}CodeTour" />
     *                         &lt;/restriction>
     *                       &lt;/complexContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="Segment" type="{http://services.sabre.com/merch/itinerary/v03}Segment" maxOccurs="99"/>
     *         &lt;element name="FareInfo" type="{http://services.sabre.com/merch/fare/v03}FareInfo" maxOccurs="9999" minOccurs="0"/>
     *         &lt;element name="ItineraryRequestOptions" type="{http://services.sabre.com/merch/itinerary/v03}ItineraryRequestOptions" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "queryPassengerItinerary",
        "segment",
        "fareInfo",
        "itineraryRequestOptions"
    })
    public static class QueryByItinerary
        implements Serializable
    {

        @XmlElement(name = "QueryPassengerItinerary")
        protected List<GetAncillaryOffersRQ.QueryByItinerary.QueryPassengerItinerary> queryPassengerItinerary;
        @XmlElement(name = "Segment", required = true)
        protected List<Segment> segment;
        @XmlElement(name = "FareInfo")
        protected List<FareInfo> fareInfo;
        @XmlElement(name = "ItineraryRequestOptions")
        protected ItineraryRequestOptions itineraryRequestOptions;

        /**
         * Gets the value of the queryPassengerItinerary property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the queryPassengerItinerary property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getQueryPassengerItinerary().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link GetAncillaryOffersRQ.QueryByItinerary.QueryPassengerItinerary }
         * 
         * 
         */
        public List<GetAncillaryOffersRQ.QueryByItinerary.QueryPassengerItinerary> getQueryPassengerItinerary() {
            if (queryPassengerItinerary == null) {
                queryPassengerItinerary = new ArrayList<GetAncillaryOffersRQ.QueryByItinerary.QueryPassengerItinerary>();
            }
            return this.queryPassengerItinerary;
        }

        /**
         * Gets the value of the segment property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the segment property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getSegment().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Segment }
         * 
         * 
         */
        public List<Segment> getSegment() {
            if (segment == null) {
                segment = new ArrayList<Segment>();
            }
            return this.segment;
        }

        /**
         * Gets the value of the fareInfo property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the fareInfo property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getFareInfo().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link FareInfo }
         * 
         * 
         */
        public List<FareInfo> getFareInfo() {
            if (fareInfo == null) {
                fareInfo = new ArrayList<FareInfo>();
            }
            return this.fareInfo;
        }

        /**
         * Gets the value of the itineraryRequestOptions property.
         * 
         * @return
         *     possible object is
         *     {@link ItineraryRequestOptions }
         *     
         */
        public ItineraryRequestOptions getItineraryRequestOptions() {
            return itineraryRequestOptions;
        }

        /**
         * Sets the value of the itineraryRequestOptions property.
         * 
         * @param value
         *     allowed object is
         *     {@link ItineraryRequestOptions }
         *     
         */
        public void setItineraryRequestOptions(ItineraryRequestOptions value) {
            this.itineraryRequestOptions = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="Passenger" type="{http://services.sabre.com/merch/passenger/v03}Passenger"/>
         *         &lt;element name="PassengerItinerary" maxOccurs="99">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;sequence>
         *                   &lt;element name="PassengerSegment" type="{http://services.sabre.com/merch/itinerary/v03}PassengerSegment" maxOccurs="99"/>
         *                   &lt;element name="Ticket" type="{http://services.sabre.com/merch/ticket/v03}Ticket" minOccurs="0"/>
         *                 &lt;/sequence>
         *                 &lt;attribute name="ticketReferenceNumber" type="{http://www.w3.org/2001/XMLSchema}string" />
         *                 &lt;attribute name="tourCode" type="{http://services.sabre.com/merch/common/v03}CodeTour" />
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "passenger",
            "passengerItinerary"
        })
        public static class QueryPassengerItinerary
            implements Serializable
        {

            @XmlElement(name = "Passenger", required = true)
            protected com.sabre.services.merch.passenger.v03.Passenger passenger;
            @XmlElement(name = "PassengerItinerary", required = true)
            protected List<GetAncillaryOffersRQ.QueryByItinerary.QueryPassengerItinerary.PassengerItinerary> passengerItinerary;

            /**
             * Gets the value of the passenger property.
             * 
             * @return
             *     possible object is
             *     {@link com.sabre.services.merch.passenger.v03.Passenger }
             *     
             */
            public com.sabre.services.merch.passenger.v03.Passenger getPassenger() {
                return passenger;
            }

            /**
             * Sets the value of the passenger property.
             * 
             * @param value
             *     allowed object is
             *     {@link com.sabre.services.merch.passenger.v03.Passenger }
             *     
             */
            public void setPassenger(com.sabre.services.merch.passenger.v03.Passenger value) {
                this.passenger = value;
            }

            /**
             * Gets the value of the passengerItinerary property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the passengerItinerary property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getPassengerItinerary().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link GetAncillaryOffersRQ.QueryByItinerary.QueryPassengerItinerary.PassengerItinerary }
             * 
             * 
             */
            public List<GetAncillaryOffersRQ.QueryByItinerary.QueryPassengerItinerary.PassengerItinerary> getPassengerItinerary() {
                if (passengerItinerary == null) {
                    passengerItinerary = new ArrayList<GetAncillaryOffersRQ.QueryByItinerary.QueryPassengerItinerary.PassengerItinerary>();
                }
                return this.passengerItinerary;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;sequence>
             *         &lt;element name="PassengerSegment" type="{http://services.sabre.com/merch/itinerary/v03}PassengerSegment" maxOccurs="99"/>
             *         &lt;element name="Ticket" type="{http://services.sabre.com/merch/ticket/v03}Ticket" minOccurs="0"/>
             *       &lt;/sequence>
             *       &lt;attribute name="ticketReferenceNumber" type="{http://www.w3.org/2001/XMLSchema}string" />
             *       &lt;attribute name="tourCode" type="{http://services.sabre.com/merch/common/v03}CodeTour" />
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "passengerSegment",
                "ticket"
            })
            public static class PassengerItinerary
                implements Serializable
            {

                @XmlElement(name = "PassengerSegment", required = true)
                protected List<PassengerSegment> passengerSegment;
                @XmlElement(name = "Ticket")
                protected Ticket ticket;
                @XmlAttribute(name = "ticketReferenceNumber")
                protected String ticketReferenceNumber;
                @XmlAttribute(name = "tourCode")
                protected String tourCode;

                /**
                 * Gets the value of the passengerSegment property.
                 * 
                 * <p>
                 * This accessor method returns a reference to the live list,
                 * not a snapshot. Therefore any modification you make to the
                 * returned list will be present inside the JAXB object.
                 * This is why there is not a <CODE>set</CODE> method for the passengerSegment property.
                 * 
                 * <p>
                 * For example, to add a new item, do as follows:
                 * <pre>
                 *    getPassengerSegment().add(newItem);
                 * </pre>
                 * 
                 * 
                 * <p>
                 * Objects of the following type(s) are allowed in the list
                 * {@link PassengerSegment }
                 * 
                 * 
                 */
                public List<PassengerSegment> getPassengerSegment() {
                    if (passengerSegment == null) {
                        passengerSegment = new ArrayList<PassengerSegment>();
                    }
                    return this.passengerSegment;
                }

                /**
                 * Gets the value of the ticket property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link Ticket }
                 *     
                 */
                public Ticket getTicket() {
                    return ticket;
                }

                /**
                 * Sets the value of the ticket property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link Ticket }
                 *     
                 */
                public void setTicket(Ticket value) {
                    this.ticket = value;
                }

                /**
                 * Gets the value of the ticketReferenceNumber property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link String }
                 *     
                 */
                public String getTicketReferenceNumber() {
                    return ticketReferenceNumber;
                }

                /**
                 * Sets the value of the ticketReferenceNumber property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *     
                 */
                public void setTicketReferenceNumber(String value) {
                    this.ticketReferenceNumber = value;
                }

                /**
                 * Gets the value of the tourCode property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link String }
                 *     
                 */
                public String getTourCode() {
                    return tourCode;
                }

                /**
                 * Sets the value of the tourCode property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *     
                 */
                public void setTourCode(String value) {
                    this.tourCode = value;
                }

            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="PNR_Locator" type="{http://services.sabre.com/merch/request/v03}PNR_Locator"/>
     *         &lt;element name="Passenger" maxOccurs="99">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="PassengerRef" type="{http://services.sabre.com/merch/passenger/v03}PassengerReferenceNumber"/>
     *                   &lt;element name="LoyaltyAccounts" type="{http://services.sabre.com/merch/passenger/v03}LoyaltyAccounts" minOccurs="0"/>
     *                   &lt;element name="PassengerRelatedSSR" type="{http://services.sabre.com/merch/common/v03}SSR_Details" minOccurs="0"/>
     *                   &lt;element name="FlightRelatedSSR" type="{http://services.sabre.com/merch/request/v03}PassengerSegmentSSR" maxOccurs="99" minOccurs="0"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "pnrLocator",
        "passenger"
    })
    public static class QueryByLocator
        implements Serializable
    {

        @XmlElement(name = "PNR_Locator", required = true)
        protected PNRLocator pnrLocator;
        @XmlElement(name = "Passenger", required = true)
        protected List<GetAncillaryOffersRQ.QueryByLocator.Passenger> passenger;

        /**
         * Gets the value of the pnrLocator property.
         * 
         * @return
         *     possible object is
         *     {@link PNRLocator }
         *     
         */
        public PNRLocator getPNRLocator() {
            return pnrLocator;
        }

        /**
         * Sets the value of the pnrLocator property.
         * 
         * @param value
         *     allowed object is
         *     {@link PNRLocator }
         *     
         */
        public void setPNRLocator(PNRLocator value) {
            this.pnrLocator = value;
        }

        /**
         * Gets the value of the passenger property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the passenger property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPassenger().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link GetAncillaryOffersRQ.QueryByLocator.Passenger }
         * 
         * 
         */
        public List<GetAncillaryOffersRQ.QueryByLocator.Passenger> getPassenger() {
            if (passenger == null) {
                passenger = new ArrayList<GetAncillaryOffersRQ.QueryByLocator.Passenger>();
            }
            return this.passenger;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="PassengerRef" type="{http://services.sabre.com/merch/passenger/v03}PassengerReferenceNumber"/>
         *         &lt;element name="LoyaltyAccounts" type="{http://services.sabre.com/merch/passenger/v03}LoyaltyAccounts" minOccurs="0"/>
         *         &lt;element name="PassengerRelatedSSR" type="{http://services.sabre.com/merch/common/v03}SSR_Details" minOccurs="0"/>
         *         &lt;element name="FlightRelatedSSR" type="{http://services.sabre.com/merch/request/v03}PassengerSegmentSSR" maxOccurs="99" minOccurs="0"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "passengerRef",
            "loyaltyAccounts",
            "passengerRelatedSSR",
            "flightRelatedSSR"
        })
        public static class Passenger
            implements Serializable
        {

            @XmlElement(name = "PassengerRef", required = true)
            protected PassengerReferenceNumber passengerRef;
            @XmlElement(name = "LoyaltyAccounts")
            protected LoyaltyAccounts loyaltyAccounts;
            @XmlElement(name = "PassengerRelatedSSR")
            protected SSRDetails passengerRelatedSSR;
            @XmlElement(name = "FlightRelatedSSR")
            protected List<PassengerSegmentSSR> flightRelatedSSR;

            /**
             * Gets the value of the passengerRef property.
             * 
             * @return
             *     possible object is
             *     {@link PassengerReferenceNumber }
             *     
             */
            public PassengerReferenceNumber getPassengerRef() {
                return passengerRef;
            }

            /**
             * Sets the value of the passengerRef property.
             * 
             * @param value
             *     allowed object is
             *     {@link PassengerReferenceNumber }
             *     
             */
            public void setPassengerRef(PassengerReferenceNumber value) {
                this.passengerRef = value;
            }

            /**
             * Gets the value of the loyaltyAccounts property.
             * 
             * @return
             *     possible object is
             *     {@link LoyaltyAccounts }
             *     
             */
            public LoyaltyAccounts getLoyaltyAccounts() {
                return loyaltyAccounts;
            }

            /**
             * Sets the value of the loyaltyAccounts property.
             * 
             * @param value
             *     allowed object is
             *     {@link LoyaltyAccounts }
             *     
             */
            public void setLoyaltyAccounts(LoyaltyAccounts value) {
                this.loyaltyAccounts = value;
            }

            /**
             * Gets the value of the passengerRelatedSSR property.
             * 
             * @return
             *     possible object is
             *     {@link SSRDetails }
             *     
             */
            public SSRDetails getPassengerRelatedSSR() {
                return passengerRelatedSSR;
            }

            /**
             * Sets the value of the passengerRelatedSSR property.
             * 
             * @param value
             *     allowed object is
             *     {@link SSRDetails }
             *     
             */
            public void setPassengerRelatedSSR(SSRDetails value) {
                this.passengerRelatedSSR = value;
            }

            /**
             * Gets the value of the flightRelatedSSR property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the flightRelatedSSR property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getFlightRelatedSSR().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link PassengerSegmentSSR }
             * 
             * 
             */
            public List<PassengerSegmentSSR> getFlightRelatedSSR() {
                if (flightRelatedSSR == null) {
                    flightRelatedSSR = new ArrayList<PassengerSegmentSSR>();
                }
                return this.flightRelatedSSR;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="PriceQuote" type="{http://services.sabre.com/merch/ancillary/v03}PriceQuote" maxOccurs="99" minOccurs="0"/>
     *         &lt;element name="PassengerRef" type="{http://services.sabre.com/merch/passenger/v03}PassengerReferenceNumber" maxOccurs="99" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "priceQuote",
        "passengerRef"
    })
    public static class QueryByPassenger
        implements Serializable
    {

        @XmlElement(name = "PriceQuote")
        protected List<PriceQuote> priceQuote;
        @XmlElement(name = "PassengerRef")
        protected List<PassengerReferenceNumber> passengerRef;

        /**
         * Gets the value of the priceQuote property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the priceQuote property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPriceQuote().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PriceQuote }
         * 
         * 
         */
        public List<PriceQuote> getPriceQuote() {
            if (priceQuote == null) {
                priceQuote = new ArrayList<PriceQuote>();
            }
            return this.priceQuote;
        }

        /**
         * Gets the value of the passengerRef property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the passengerRef property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPassengerRef().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PassengerReferenceNumber }
         * 
         * 
         */
        public List<PassengerReferenceNumber> getPassengerRef() {
            if (passengerRef == null) {
                passengerRef = new ArrayList<PassengerReferenceNumber>();
            }
            return this.passengerRef;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="PassengerType" type="{http://services.sabre.com/merch/passenger/v03}PassengerType" maxOccurs="99" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "passengerType"
    })
    public static class QueryByPassengerType
        implements Serializable
    {

        @XmlElement(name = "PassengerType")
        protected List<PassengerType> passengerType;

        /**
         * Gets the value of the passengerType property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the passengerType property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPassengerType().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PassengerType }
         * 
         * 
         */
        public List<PassengerType> getPassengerType() {
            if (passengerType == null) {
                passengerType = new ArrayList<PassengerType>();
            }
            return this.passengerType;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="TicketReferenceNumber" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="99"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "ticketReferenceNumber"
    })
    public static class QueryByTicket
        implements Serializable
    {

        @XmlElement(name = "TicketReferenceNumber", required = true)
        protected List<String> ticketReferenceNumber;

        /**
         * Gets the value of the ticketReferenceNumber property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the ticketReferenceNumber property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getTicketReferenceNumber().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link String }
         * 
         * 
         */
        public List<String> getTicketReferenceNumber() {
            if (ticketReferenceNumber == null) {
                ticketReferenceNumber = new ArrayList<String>();
            }
            return this.ticketReferenceNumber;
        }

    }

}
