
package com.sabre.services.merch.ancillary.v03;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;
import com.sabre.services.merch.common.v03.SegmentReference;
import com.sabre.services.merch.products.v03.AncillaryFee;
import com.sabre.services.merch.products.v03.AncillaryRules;


/**
 * <p>Java class for Offers complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Offers">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="OfferItemId" type="{http://www.w3.org/2001/XMLSchema}token" minOccurs="0"/>
 *         &lt;element name="Quantity" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="Origin" type="{http://services.sabre.com/merch/common/v03}Code_Airport"/>
 *         &lt;element name="Destination" type="{http://services.sabre.com/merch/common/v03}Code_Airport"/>
 *         &lt;element name="AncillaryFee" type="{http://services.sabre.com/merch/products/v03}AncillaryFee" minOccurs="0"/>
 *         &lt;element name="BaseAncillaryFee" type="{http://services.sabre.com/merch/products/v03}AncillaryFee" minOccurs="0"/>
 *         &lt;element name="AncillaryRules" type="{http://services.sabre.com/merch/products/v03}AncillaryRules" minOccurs="0"/>
 *         &lt;element name="Deal" type="{http://services.sabre.com/merch/ancillary/v03}Deal" minOccurs="0"/>
 *         &lt;element name="LinkedAE" type="{http://www.w3.org/2001/XMLSchema}IDREFS" minOccurs="0"/>
 *         &lt;element name="Segment" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;extension base="{http://services.sabre.com/merch/common/v03}SegmentReference">
 *                 &lt;attribute name="inventoryLevel" type="{http://www.w3.org/2001/XMLSchema}int" />
 *                 &lt;attribute name="segmentSequence" type="{http://www.w3.org/2001/XMLSchema}short" />
 *               &lt;/extension>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="PurchaseByDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
 *         &lt;element name="IsDisclosurePart" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="PaperTicketRequired" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="offerId" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *       &lt;attribute name="ancillaryRef" use="required" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Offers", propOrder = {
    "offerItemId",
    "quantity",
    "origin",
    "destination",
    "ancillaryFee",
    "baseAncillaryFee",
    "ancillaryRules",
    "deal",
    "linkedAE",
    "segment",
    "purchaseByDate",
    "isDisclosurePart",
    "paperTicketRequired"
})
public class Offers
    implements Serializable
{

    @XmlElement(name = "OfferItemId")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String offerItemId;
    @XmlElement(name = "Quantity")
    protected Integer quantity;
    @XmlElement(name = "Origin", required = true)
    protected String origin;
    @XmlElement(name = "Destination", required = true)
    protected String destination;
    @XmlElement(name = "AncillaryFee")
    protected AncillaryFee ancillaryFee;
    @XmlElement(name = "BaseAncillaryFee")
    protected AncillaryFee baseAncillaryFee;
    @XmlElement(name = "AncillaryRules")
    protected AncillaryRules ancillaryRules;
    @XmlElement(name = "Deal")
    protected Deal deal;
    @XmlList
    @XmlElement(name = "LinkedAE")
    @XmlIDREF
    @XmlSchemaType(name = "IDREFS")
    protected List<Object> linkedAE;
    @XmlElement(name = "Segment", required = true)
    protected List<Offers.Segment> segment;
    @XmlElement(name = "PurchaseByDate")
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar purchaseByDate;
    @XmlElement(name = "IsDisclosurePart")
    protected Boolean isDisclosurePart;
    @XmlElement(name = "PaperTicketRequired")
    protected Boolean paperTicketRequired;
    @XmlAttribute(name = "offerId", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String offerId;
    @XmlAttribute(name = "ancillaryRef", required = true)
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object ancillaryRef;

    /**
     * Gets the value of the offerItemId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOfferItemId() {
        return offerItemId;
    }

    /**
     * Sets the value of the offerItemId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOfferItemId(String value) {
        this.offerItemId = value;
    }

    /**
     * Gets the value of the quantity property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getQuantity() {
        return quantity;
    }

    /**
     * Sets the value of the quantity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setQuantity(Integer value) {
        this.quantity = value;
    }

    /**
     * Gets the value of the origin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrigin() {
        return origin;
    }

    /**
     * Sets the value of the origin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrigin(String value) {
        this.origin = value;
    }

    /**
     * Gets the value of the destination property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDestination() {
        return destination;
    }

    /**
     * Sets the value of the destination property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDestination(String value) {
        this.destination = value;
    }

    /**
     * Gets the value of the ancillaryFee property.
     * 
     * @return
     *     possible object is
     *     {@link AncillaryFee }
     *     
     */
    public AncillaryFee getAncillaryFee() {
        return ancillaryFee;
    }

    /**
     * Sets the value of the ancillaryFee property.
     * 
     * @param value
     *     allowed object is
     *     {@link AncillaryFee }
     *     
     */
    public void setAncillaryFee(AncillaryFee value) {
        this.ancillaryFee = value;
    }

    /**
     * Gets the value of the baseAncillaryFee property.
     * 
     * @return
     *     possible object is
     *     {@link AncillaryFee }
     *     
     */
    public AncillaryFee getBaseAncillaryFee() {
        return baseAncillaryFee;
    }

    /**
     * Sets the value of the baseAncillaryFee property.
     * 
     * @param value
     *     allowed object is
     *     {@link AncillaryFee }
     *     
     */
    public void setBaseAncillaryFee(AncillaryFee value) {
        this.baseAncillaryFee = value;
    }

    /**
     * Gets the value of the ancillaryRules property.
     * 
     * @return
     *     possible object is
     *     {@link AncillaryRules }
     *     
     */
    public AncillaryRules getAncillaryRules() {
        return ancillaryRules;
    }

    /**
     * Sets the value of the ancillaryRules property.
     * 
     * @param value
     *     allowed object is
     *     {@link AncillaryRules }
     *     
     */
    public void setAncillaryRules(AncillaryRules value) {
        this.ancillaryRules = value;
    }

    /**
     * Gets the value of the deal property.
     * 
     * @return
     *     possible object is
     *     {@link Deal }
     *     
     */
    public Deal getDeal() {
        return deal;
    }

    /**
     * Sets the value of the deal property.
     * 
     * @param value
     *     allowed object is
     *     {@link Deal }
     *     
     */
    public void setDeal(Deal value) {
        this.deal = value;
    }

    /**
     * Gets the value of the linkedAE property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the linkedAE property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLinkedAE().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getLinkedAE() {
        if (linkedAE == null) {
            linkedAE = new ArrayList<Object>();
        }
        return this.linkedAE;
    }

    /**
     * Gets the value of the segment property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the segment property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSegment().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Offers.Segment }
     * 
     * 
     */
    public List<Offers.Segment> getSegment() {
        if (segment == null) {
            segment = new ArrayList<Offers.Segment>();
        }
        return this.segment;
    }

    /**
     * Gets the value of the purchaseByDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getPurchaseByDate() {
        return purchaseByDate;
    }

    /**
     * Sets the value of the purchaseByDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setPurchaseByDate(XMLGregorianCalendar value) {
        this.purchaseByDate = value;
    }

    /**
     * Gets the value of the isDisclosurePart property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getIsDisclosurePart() {
        return isDisclosurePart;
    }

    /**
     * Sets the value of the isDisclosurePart property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIsDisclosurePart(Boolean value) {
        this.isDisclosurePart = value;
    }

    /**
     * Gets the value of the paperTicketRequired property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getPaperTicketRequired() {
        return paperTicketRequired;
    }

    /**
     * Sets the value of the paperTicketRequired property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPaperTicketRequired(Boolean value) {
        this.paperTicketRequired = value;
    }

    /**
     * Gets the value of the offerId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOfferId() {
        return offerId;
    }

    /**
     * Sets the value of the offerId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOfferId(String value) {
        this.offerId = value;
    }

    /**
     * Gets the value of the ancillaryRef property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getAncillaryRef() {
        return ancillaryRef;
    }

    /**
     * Sets the value of the ancillaryRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setAncillaryRef(Object value) {
        this.ancillaryRef = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;extension base="{http://services.sabre.com/merch/common/v03}SegmentReference">
     *       &lt;attribute name="inventoryLevel" type="{http://www.w3.org/2001/XMLSchema}int" />
     *       &lt;attribute name="segmentSequence" type="{http://www.w3.org/2001/XMLSchema}short" />
     *     &lt;/extension>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Segment
        extends SegmentReference
        implements Serializable
    {

        @XmlAttribute(name = "inventoryLevel")
        protected Integer inventoryLevel;
        @XmlAttribute(name = "segmentSequence")
        protected Short segmentSequence;

        /**
         * Gets the value of the inventoryLevel property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public Integer getInventoryLevel() {
            return inventoryLevel;
        }

        /**
         * Sets the value of the inventoryLevel property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setInventoryLevel(Integer value) {
            this.inventoryLevel = value;
        }

        /**
         * Gets the value of the segmentSequence property.
         * 
         * @return
         *     possible object is
         *     {@link Short }
         *     
         */
        public Short getSegmentSequence() {
            return segmentSequence;
        }

        /**
         * Sets the value of the segmentSequence property.
         * 
         * @param value
         *     allowed object is
         *     {@link Short }
         *     
         */
        public void setSegmentSequence(Short value) {
            this.segmentSequence = value;
        }

    }

}
