
package com.sabre.services.merch.baggage.v03;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * Baggage allowance after comparison of baggage allowance from VCR/pricing/execution of entitlement rules -
 *                 allowance source will identify which allowance is used for baggage fees calculation.
 *             
 * 
 * <p>Java class for BaggageAllowanceCalculation complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BaggageAllowanceCalculation">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="entitlementRef" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
 *       &lt;attribute name="ancillaryRef" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
 *       &lt;attribute name="effectiveAllowanceRef" type="{http://www.w3.org/2001/XMLSchema}IDREF" />
 *       &lt;attribute name="withinWeightAllowance" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BaggageAllowanceCalculation")
public class BaggageAllowanceCalculation
    implements Serializable
{

    @XmlAttribute(name = "entitlementRef")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object entitlementRef;
    @XmlAttribute(name = "ancillaryRef")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object ancillaryRef;
    @XmlAttribute(name = "effectiveAllowanceRef")
    @XmlIDREF
    @XmlSchemaType(name = "IDREF")
    protected Object effectiveAllowanceRef;
    @XmlAttribute(name = "withinWeightAllowance")
    protected Boolean withinWeightAllowance;

    /**
     * Gets the value of the entitlementRef property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getEntitlementRef() {
        return entitlementRef;
    }

    /**
     * Sets the value of the entitlementRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setEntitlementRef(Object value) {
        this.entitlementRef = value;
    }

    /**
     * Gets the value of the ancillaryRef property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getAncillaryRef() {
        return ancillaryRef;
    }

    /**
     * Sets the value of the ancillaryRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setAncillaryRef(Object value) {
        this.ancillaryRef = value;
    }

    /**
     * Gets the value of the effectiveAllowanceRef property.
     * 
     * @return
     *     possible object is
     *     {@link Object }
     *     
     */
    public Object getEffectiveAllowanceRef() {
        return effectiveAllowanceRef;
    }

    /**
     * Sets the value of the effectiveAllowanceRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link Object }
     *     
     */
    public void setEffectiveAllowanceRef(Object value) {
        this.effectiveAllowanceRef = value;
    }

    /**
     * Gets the value of the withinWeightAllowance property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getWithinWeightAllowance() {
        return withinWeightAllowance;
    }

    /**
     * Sets the value of the withinWeightAllowance property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setWithinWeightAllowance(Boolean value) {
        this.withinWeightAllowance = value;
    }

}
