
package com.sabre.services.merch.common.v03;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * A generic type used to represent a price or a price component.
 *                 Supports both monetary and frequent flier type of amounts.
 *             
 * 
 * <p>Java class for PriceElement complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PriceElement">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="TotalAmount" type="{http://services.sabre.com/merch/common/v03}Money" minOccurs="0"/>
 *         &lt;element name="TotalEquivalentAmount" type="{http://services.sabre.com/merch/common/v03}Money" minOccurs="0"/>
 *         &lt;element name="Amount" type="{http://services.sabre.com/merch/common/v03}Money" minOccurs="0"/>
 *         &lt;element name="EquivAmount" type="{http://services.sabre.com/merch/common/v03}Money" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="code" type="{http://services.sabre.com/merch/common/v03}String_Short" />
 *       &lt;attribute name="taxType" type="{http://services.sabre.com/merch/common/v03}TaxType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PriceElement", propOrder = {
    "totalAmount",
    "totalEquivalentAmount",
    "amount",
    "equivAmount"
})
public class PriceElement
    implements Serializable
{

    @XmlElement(name = "TotalAmount")
    protected Money totalAmount;
    @XmlElement(name = "TotalEquivalentAmount")
    protected Money totalEquivalentAmount;
    @XmlElement(name = "Amount")
    protected Money amount;
    @XmlElement(name = "EquivAmount")
    protected Money equivAmount;
    @XmlAttribute(name = "code")
    protected String code;
    @XmlAttribute(name = "taxType")
    protected TaxType taxType;

    /**
     * Gets the value of the totalAmount property.
     * 
     * @return
     *     possible object is
     *     {@link Money }
     *     
     */
    public Money getTotalAmount() {
        return totalAmount;
    }

    /**
     * Sets the value of the totalAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Money }
     *     
     */
    public void setTotalAmount(Money value) {
        this.totalAmount = value;
    }

    /**
     * Gets the value of the totalEquivalentAmount property.
     * 
     * @return
     *     possible object is
     *     {@link Money }
     *     
     */
    public Money getTotalEquivalentAmount() {
        return totalEquivalentAmount;
    }

    /**
     * Sets the value of the totalEquivalentAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Money }
     *     
     */
    public void setTotalEquivalentAmount(Money value) {
        this.totalEquivalentAmount = value;
    }

    /**
     * Gets the value of the amount property.
     * 
     * @return
     *     possible object is
     *     {@link Money }
     *     
     */
    public Money getAmount() {
        return amount;
    }

    /**
     * Sets the value of the amount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Money }
     *     
     */
    public void setAmount(Money value) {
        this.amount = value;
    }

    /**
     * Gets the value of the equivAmount property.
     * 
     * @return
     *     possible object is
     *     {@link Money }
     *     
     */
    public Money getEquivAmount() {
        return equivAmount;
    }

    /**
     * Sets the value of the equivAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Money }
     *     
     */
    public void setEquivAmount(Money value) {
        this.equivAmount = value;
    }

    /**
     * Gets the value of the code property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCode() {
        return code;
    }

    /**
     * Sets the value of the code property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCode(String value) {
        this.code = value;
    }

    /**
     * Gets the value of the taxType property.
     * 
     * @return
     *     possible object is
     *     {@link TaxType }
     *     
     */
    public TaxType getTaxType() {
        return taxType;
    }

    /**
     * Sets the value of the taxType property.
     * 
     * @param value
     *     allowed object is
     *     {@link TaxType }
     *     
     */
    public void setTaxType(TaxType value) {
        this.taxType = value;
    }

}
