
package com.sabre.services.merch.passenger.v03;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * Generic type used to represent a frequent flier/loyalty account.
 *             
 * 
 * <p>Java class for LoyaltyAccount complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LoyaltyAccount">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="memberAirline" use="required" type="{http://services.sabre.com/merch/common/v03}Code_Airline" />
 *       &lt;attribute name="memberId" type="{http://services.sabre.com/merch/common/v03}String_Short" />
 *       &lt;attribute name="partnerProgram" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *       &lt;attribute name="eliteStatus" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *       &lt;attribute name="premiumCreditCard" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *       &lt;attribute name="tierTag" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *       &lt;attribute name="tierNumber" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *       &lt;attribute name="atpcoTierNumber" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LoyaltyAccount")
@XmlSeeAlso({
    com.sabre.services.merch.passenger.v03.LoyaltyAccounts.LoyaltyAccountWithId.class
})
public class LoyaltyAccount
    implements Serializable
{

    @XmlAttribute(name = "memberAirline", required = true)
    protected String memberAirline;
    @XmlAttribute(name = "memberId")
    protected String memberId;
    @XmlAttribute(name = "partnerProgram")
    @XmlSchemaType(name = "anySimpleType")
    protected String partnerProgram;
    @XmlAttribute(name = "eliteStatus")
    @XmlSchemaType(name = "anySimpleType")
    protected String eliteStatus;
    @XmlAttribute(name = "premiumCreditCard")
    @XmlSchemaType(name = "anySimpleType")
    protected String premiumCreditCard;
    @XmlAttribute(name = "tierTag")
    @XmlSchemaType(name = "anySimpleType")
    protected String tierTag;
    @XmlAttribute(name = "tierNumber")
    @XmlSchemaType(name = "anySimpleType")
    protected String tierNumber;
    @XmlAttribute(name = "atpcoTierNumber")
    @XmlSchemaType(name = "anySimpleType")
    protected String atpcoTierNumber;

    /**
     * Gets the value of the memberAirline property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberAirline() {
        return memberAirline;
    }

    /**
     * Sets the value of the memberAirline property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberAirline(String value) {
        this.memberAirline = value;
    }

    /**
     * Gets the value of the memberId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMemberId() {
        return memberId;
    }

    /**
     * Sets the value of the memberId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMemberId(String value) {
        this.memberId = value;
    }

    /**
     * Gets the value of the partnerProgram property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPartnerProgram() {
        return partnerProgram;
    }

    /**
     * Sets the value of the partnerProgram property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPartnerProgram(String value) {
        this.partnerProgram = value;
    }

    /**
     * Gets the value of the eliteStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEliteStatus() {
        return eliteStatus;
    }

    /**
     * Sets the value of the eliteStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEliteStatus(String value) {
        this.eliteStatus = value;
    }

    /**
     * Gets the value of the premiumCreditCard property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPremiumCreditCard() {
        return premiumCreditCard;
    }

    /**
     * Sets the value of the premiumCreditCard property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPremiumCreditCard(String value) {
        this.premiumCreditCard = value;
    }

    /**
     * Gets the value of the tierTag property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTierTag() {
        return tierTag;
    }

    /**
     * Sets the value of the tierTag property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTierTag(String value) {
        this.tierTag = value;
    }

    /**
     * Gets the value of the tierNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTierNumber() {
        return tierNumber;
    }

    /**
     * Sets the value of the tierNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTierNumber(String value) {
        this.tierNumber = value;
    }

    /**
     * Gets the value of the atpcoTierNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAtpcoTierNumber() {
        return atpcoTierNumber;
    }

    /**
     * Sets the value of the atpcoTierNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAtpcoTierNumber(String value) {
        this.atpcoTierNumber = value;
    }

}
