
package com.sabre.services.merch.products.v03;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlList;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import com.sabre.services.merch.common.v03.PassengerReference;
import com.sabre.services.merch.common.v03.SegmentReference;
import com.sabre.services.merch.seats.v03.PADISSeatProcessing;
import com.sabre.services.merch.seats.v03.SeatDetails;


/**
 * Additional ancillary data.
 * 
 * <p>Java class for AdditionalAncillaryData complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdditionalAncillaryData">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Quantity" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="AncillaryRules" type="{http://services.sabre.com/merch/products/v03}AncillaryRules" minOccurs="0"/>
 *         &lt;element name="SectorPortionInd" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Origin" type="{http://services.sabre.com/merch/common/v03}Code_Airport"/>
 *         &lt;element name="Destination" type="{http://services.sabre.com/merch/common/v03}Code_Airport"/>
 *         &lt;element name="BaggageData" type="{http://services.sabre.com/merch/products/v03}BaggageDetailsOC" minOccurs="0"/>
 *         &lt;element name="BaggageAllowance" type="{http://services.sabre.com/merch/products/v03}BaggageAllowanceOC" minOccurs="0"/>
 *         &lt;element name="SequenceNumber" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="PassengerType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DateAndTimeDetails" type="{http://services.sabre.com/merch/products/v03}DateAndTimeDetails" minOccurs="0"/>
 *         &lt;element name="AncillaryFee" type="{http://services.sabre.com/merch/products/v03}AncillaryFee" minOccurs="0"/>
 *         &lt;element name="TextTableInformation" type="{http://services.sabre.com/merch/products/v03}GeneralMessage" minOccurs="0"/>
 *         &lt;element name="SegmentReference" type="{http://services.sabre.com/merch/common/v03}SegmentReference" maxOccurs="unbounded"/>
 *         &lt;element name="PassengerReference" type="{http://services.sabre.com/merch/common/v03}PassengerReference" maxOccurs="unbounded"/>
 *         &lt;element name="AirExtraInventory" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Count" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *                 &lt;/sequence>
 *                 &lt;attribute name="segmentRef" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="AirExtraStatus" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SeatDetails" type="{http://services.sabre.com/merch/seats/v03}SeatDetails" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="PADIS_SeatProcessing" type="{http://services.sabre.com/merch/seats/v03}PADIS_SeatProcessing" minOccurs="0"/>
 *         &lt;element name="FirstDisclosureOccurrence" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="SecondDisclosureOccurrence" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="LinkedAE" type="{http://www.w3.org/2001/XMLSchema}IDREFS" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdditionalAncillaryData", propOrder = {
    "quantity",
    "ancillaryRules",
    "sectorPortionInd",
    "origin",
    "destination",
    "baggageData",
    "baggageAllowance",
    "sequenceNumber",
    "passengerType",
    "dateAndTimeDetails",
    "ancillaryFee",
    "textTableInformation",
    "segmentReference",
    "passengerReference",
    "airExtraInventory",
    "airExtraStatus",
    "seatDetails",
    "padisSeatProcessing",
    "firstDisclosureOccurrence",
    "secondDisclosureOccurrence",
    "linkedAE"
})
public class AdditionalAncillaryData
    implements Serializable
{

    @XmlElement(name = "Quantity")
    protected Integer quantity;
    @XmlElement(name = "AncillaryRules")
    protected AncillaryRules ancillaryRules;
    @XmlElement(name = "SectorPortionInd")
    protected String sectorPortionInd;
    @XmlElement(name = "Origin", required = true)
    protected String origin;
    @XmlElement(name = "Destination", required = true)
    protected String destination;
    @XmlElement(name = "BaggageData")
    protected BaggageDetailsOC baggageData;
    @XmlElement(name = "BaggageAllowance")
    protected BaggageAllowanceOC baggageAllowance;
    @XmlElement(name = "SequenceNumber")
    protected Integer sequenceNumber;
    @XmlElement(name = "PassengerType")
    protected String passengerType;
    @XmlElement(name = "DateAndTimeDetails")
    protected DateAndTimeDetails dateAndTimeDetails;
    @XmlElement(name = "AncillaryFee")
    protected AncillaryFee ancillaryFee;
    @XmlElement(name = "TextTableInformation")
    protected GeneralMessage textTableInformation;
    @XmlElement(name = "SegmentReference", required = true)
    protected List<SegmentReference> segmentReference;
    @XmlElement(name = "PassengerReference", required = true)
    protected List<PassengerReference> passengerReference;
    @XmlElement(name = "AirExtraInventory")
    protected List<AdditionalAncillaryData.AirExtraInventory> airExtraInventory;
    @XmlElement(name = "AirExtraStatus")
    protected String airExtraStatus;
    @XmlElement(name = "SeatDetails")
    protected List<SeatDetails> seatDetails;
    @XmlElement(name = "PADIS_SeatProcessing")
    protected PADISSeatProcessing padisSeatProcessing;
    @XmlElement(name = "FirstDisclosureOccurrence")
    protected Boolean firstDisclosureOccurrence;
    @XmlElement(name = "SecondDisclosureOccurrence")
    protected Boolean secondDisclosureOccurrence;
    @XmlList
    @XmlElement(name = "LinkedAE")
    @XmlIDREF
    @XmlSchemaType(name = "IDREFS")
    protected List<Object> linkedAE;

    /**
     * Gets the value of the quantity property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getQuantity() {
        return quantity;
    }

    /**
     * Sets the value of the quantity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setQuantity(Integer value) {
        this.quantity = value;
    }

    /**
     * Gets the value of the ancillaryRules property.
     * 
     * @return
     *     possible object is
     *     {@link AncillaryRules }
     *     
     */
    public AncillaryRules getAncillaryRules() {
        return ancillaryRules;
    }

    /**
     * Sets the value of the ancillaryRules property.
     * 
     * @param value
     *     allowed object is
     *     {@link AncillaryRules }
     *     
     */
    public void setAncillaryRules(AncillaryRules value) {
        this.ancillaryRules = value;
    }

    /**
     * Gets the value of the sectorPortionInd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSectorPortionInd() {
        return sectorPortionInd;
    }

    /**
     * Sets the value of the sectorPortionInd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSectorPortionInd(String value) {
        this.sectorPortionInd = value;
    }

    /**
     * Gets the value of the origin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrigin() {
        return origin;
    }

    /**
     * Sets the value of the origin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrigin(String value) {
        this.origin = value;
    }

    /**
     * Gets the value of the destination property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDestination() {
        return destination;
    }

    /**
     * Sets the value of the destination property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDestination(String value) {
        this.destination = value;
    }

    /**
     * Gets the value of the baggageData property.
     * 
     * @return
     *     possible object is
     *     {@link BaggageDetailsOC }
     *     
     */
    public BaggageDetailsOC getBaggageData() {
        return baggageData;
    }

    /**
     * Sets the value of the baggageData property.
     * 
     * @param value
     *     allowed object is
     *     {@link BaggageDetailsOC }
     *     
     */
    public void setBaggageData(BaggageDetailsOC value) {
        this.baggageData = value;
    }

    /**
     * Gets the value of the baggageAllowance property.
     * 
     * @return
     *     possible object is
     *     {@link BaggageAllowanceOC }
     *     
     */
    public BaggageAllowanceOC getBaggageAllowance() {
        return baggageAllowance;
    }

    /**
     * Sets the value of the baggageAllowance property.
     * 
     * @param value
     *     allowed object is
     *     {@link BaggageAllowanceOC }
     *     
     */
    public void setBaggageAllowance(BaggageAllowanceOC value) {
        this.baggageAllowance = value;
    }

    /**
     * Gets the value of the sequenceNumber property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getSequenceNumber() {
        return sequenceNumber;
    }

    /**
     * Sets the value of the sequenceNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setSequenceNumber(Integer value) {
        this.sequenceNumber = value;
    }

    /**
     * Gets the value of the passengerType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPassengerType() {
        return passengerType;
    }

    /**
     * Sets the value of the passengerType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPassengerType(String value) {
        this.passengerType = value;
    }

    /**
     * Gets the value of the dateAndTimeDetails property.
     * 
     * @return
     *     possible object is
     *     {@link DateAndTimeDetails }
     *     
     */
    public DateAndTimeDetails getDateAndTimeDetails() {
        return dateAndTimeDetails;
    }

    /**
     * Sets the value of the dateAndTimeDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link DateAndTimeDetails }
     *     
     */
    public void setDateAndTimeDetails(DateAndTimeDetails value) {
        this.dateAndTimeDetails = value;
    }

    /**
     * Gets the value of the ancillaryFee property.
     * 
     * @return
     *     possible object is
     *     {@link AncillaryFee }
     *     
     */
    public AncillaryFee getAncillaryFee() {
        return ancillaryFee;
    }

    /**
     * Sets the value of the ancillaryFee property.
     * 
     * @param value
     *     allowed object is
     *     {@link AncillaryFee }
     *     
     */
    public void setAncillaryFee(AncillaryFee value) {
        this.ancillaryFee = value;
    }

    /**
     * Gets the value of the textTableInformation property.
     * 
     * @return
     *     possible object is
     *     {@link GeneralMessage }
     *     
     */
    public GeneralMessage getTextTableInformation() {
        return textTableInformation;
    }

    /**
     * Sets the value of the textTableInformation property.
     * 
     * @param value
     *     allowed object is
     *     {@link GeneralMessage }
     *     
     */
    public void setTextTableInformation(GeneralMessage value) {
        this.textTableInformation = value;
    }

    /**
     * Gets the value of the segmentReference property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the segmentReference property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSegmentReference().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SegmentReference }
     * 
     * 
     */
    public List<SegmentReference> getSegmentReference() {
        if (segmentReference == null) {
            segmentReference = new ArrayList<SegmentReference>();
        }
        return this.segmentReference;
    }

    /**
     * Gets the value of the passengerReference property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the passengerReference property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPassengerReference().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PassengerReference }
     * 
     * 
     */
    public List<PassengerReference> getPassengerReference() {
        if (passengerReference == null) {
            passengerReference = new ArrayList<PassengerReference>();
        }
        return this.passengerReference;
    }

    /**
     * Gets the value of the airExtraInventory property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the airExtraInventory property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAirExtraInventory().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AdditionalAncillaryData.AirExtraInventory }
     * 
     * 
     */
    public List<AdditionalAncillaryData.AirExtraInventory> getAirExtraInventory() {
        if (airExtraInventory == null) {
            airExtraInventory = new ArrayList<AdditionalAncillaryData.AirExtraInventory>();
        }
        return this.airExtraInventory;
    }

    /**
     * Gets the value of the airExtraStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAirExtraStatus() {
        return airExtraStatus;
    }

    /**
     * Sets the value of the airExtraStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAirExtraStatus(String value) {
        this.airExtraStatus = value;
    }

    /**
     * Gets the value of the seatDetails property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the seatDetails property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSeatDetails().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SeatDetails }
     * 
     * 
     */
    public List<SeatDetails> getSeatDetails() {
        if (seatDetails == null) {
            seatDetails = new ArrayList<SeatDetails>();
        }
        return this.seatDetails;
    }

    /**
     * Gets the value of the padisSeatProcessing property.
     * 
     * @return
     *     possible object is
     *     {@link PADISSeatProcessing }
     *     
     */
    public PADISSeatProcessing getPADISSeatProcessing() {
        return padisSeatProcessing;
    }

    /**
     * Sets the value of the padisSeatProcessing property.
     * 
     * @param value
     *     allowed object is
     *     {@link PADISSeatProcessing }
     *     
     */
    public void setPADISSeatProcessing(PADISSeatProcessing value) {
        this.padisSeatProcessing = value;
    }

    /**
     * Gets the value of the firstDisclosureOccurrence property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getFirstDisclosureOccurrence() {
        return firstDisclosureOccurrence;
    }

    /**
     * Sets the value of the firstDisclosureOccurrence property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setFirstDisclosureOccurrence(Boolean value) {
        this.firstDisclosureOccurrence = value;
    }

    /**
     * Gets the value of the secondDisclosureOccurrence property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getSecondDisclosureOccurrence() {
        return secondDisclosureOccurrence;
    }

    /**
     * Sets the value of the secondDisclosureOccurrence property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSecondDisclosureOccurrence(Boolean value) {
        this.secondDisclosureOccurrence = value;
    }

    /**
     * Gets the value of the linkedAE property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the linkedAE property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLinkedAE().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Object }
     * 
     * 
     */
    public List<Object> getLinkedAE() {
        if (linkedAE == null) {
            linkedAE = new ArrayList<Object>();
        }
        return this.linkedAE;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Count" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
     *       &lt;/sequence>
     *       &lt;attribute name="segmentRef" type="{http://www.w3.org/2001/XMLSchema}ID" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "count"
    })
    public static class AirExtraInventory
        implements Serializable
    {

        @XmlElement(name = "Count")
        protected Integer count;
        @XmlAttribute(name = "segmentRef")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlID
        @XmlSchemaType(name = "ID")
        protected String segmentRef;

        /**
         * Gets the value of the count property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public Integer getCount() {
            return count;
        }

        /**
         * Sets the value of the count property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setCount(Integer value) {
            this.count = value;
        }

        /**
         * Gets the value of the segmentRef property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getSegmentRef() {
            return segmentRef;
        }

        /**
         * Sets the value of the segmentRef property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setSegmentRef(String value) {
            this.segmentRef = value;
        }

    }

}
