
package com.sabre.services.merch.products.v03;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * Rules defined for an ancillary like refundability, form of payment.
 *             
 * 
 * <p>Java class for AncillaryRules complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AncillaryRules">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="TourCode" type="{http://services.sabre.com/merch/common/v03}CodeTour" minOccurs="0"/>
 *         &lt;element name="RefundableReissuable" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FormOfRefund" type="{http://services.sabre.com/merch/products/v03}FormOfRefund" minOccurs="0"/>
 *         &lt;element name="Commissionable" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="Interlineable" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="FeeApplicationMethod" type="{http://services.sabre.com/merch/products/v03}FeeApplicationMethod" minOccurs="0"/>
 *         &lt;element name="FreeOfChargeRules" type="{http://services.sabre.com/merch/products/v03}Enum_FreeOfChargeRules" maxOccurs="2" minOccurs="0"/>
 *         &lt;element name="PurchaseAtTicketIssue" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="FeeNotGuaranteeIndicator" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="SimultaneousTicketIndicator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AncillaryRules", propOrder = {
    "tourCode",
    "refundableReissuable",
    "formOfRefund",
    "commissionable",
    "interlineable",
    "feeApplicationMethod",
    "freeOfChargeRules",
    "purchaseAtTicketIssue",
    "feeNotGuaranteeIndicator",
    "simultaneousTicketIndicator"
})
public class AncillaryRules
    implements Serializable
{

    @XmlElement(name = "TourCode")
    protected String tourCode;
    @XmlElement(name = "RefundableReissuable")
    protected String refundableReissuable;
    @XmlElement(name = "FormOfRefund")
    protected FormOfRefund formOfRefund;
    @XmlElement(name = "Commissionable")
    protected Boolean commissionable;
    @XmlElement(name = "Interlineable")
    protected Boolean interlineable;
    @XmlElement(name = "FeeApplicationMethod")
    protected FeeApplicationMethod feeApplicationMethod;
    @XmlElement(name = "FreeOfChargeRules")
    protected List<EnumFreeOfChargeRules> freeOfChargeRules;
    @XmlElement(name = "PurchaseAtTicketIssue")
    protected Boolean purchaseAtTicketIssue;
    @XmlElement(name = "FeeNotGuaranteeIndicator")
    protected Boolean feeNotGuaranteeIndicator;
    @XmlElement(name = "SimultaneousTicketIndicator")
    protected String simultaneousTicketIndicator;

    /**
     * Gets the value of the tourCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTourCode() {
        return tourCode;
    }

    /**
     * Sets the value of the tourCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTourCode(String value) {
        this.tourCode = value;
    }

    /**
     * Gets the value of the refundableReissuable property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRefundableReissuable() {
        return refundableReissuable;
    }

    /**
     * Sets the value of the refundableReissuable property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRefundableReissuable(String value) {
        this.refundableReissuable = value;
    }

    /**
     * Gets the value of the formOfRefund property.
     * 
     * @return
     *     possible object is
     *     {@link FormOfRefund }
     *     
     */
    public FormOfRefund getFormOfRefund() {
        return formOfRefund;
    }

    /**
     * Sets the value of the formOfRefund property.
     * 
     * @param value
     *     allowed object is
     *     {@link FormOfRefund }
     *     
     */
    public void setFormOfRefund(FormOfRefund value) {
        this.formOfRefund = value;
    }

    /**
     * Gets the value of the commissionable property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getCommissionable() {
        return commissionable;
    }

    /**
     * Sets the value of the commissionable property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setCommissionable(Boolean value) {
        this.commissionable = value;
    }

    /**
     * Gets the value of the interlineable property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getInterlineable() {
        return interlineable;
    }

    /**
     * Sets the value of the interlineable property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setInterlineable(Boolean value) {
        this.interlineable = value;
    }

    /**
     * Gets the value of the feeApplicationMethod property.
     * 
     * @return
     *     possible object is
     *     {@link FeeApplicationMethod }
     *     
     */
    public FeeApplicationMethod getFeeApplicationMethod() {
        return feeApplicationMethod;
    }

    /**
     * Sets the value of the feeApplicationMethod property.
     * 
     * @param value
     *     allowed object is
     *     {@link FeeApplicationMethod }
     *     
     */
    public void setFeeApplicationMethod(FeeApplicationMethod value) {
        this.feeApplicationMethod = value;
    }

    /**
     * Gets the value of the freeOfChargeRules property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the freeOfChargeRules property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFreeOfChargeRules().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link EnumFreeOfChargeRules }
     * 
     * 
     */
    public List<EnumFreeOfChargeRules> getFreeOfChargeRules() {
        if (freeOfChargeRules == null) {
            freeOfChargeRules = new ArrayList<EnumFreeOfChargeRules>();
        }
        return this.freeOfChargeRules;
    }

    /**
     * Gets the value of the purchaseAtTicketIssue property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getPurchaseAtTicketIssue() {
        return purchaseAtTicketIssue;
    }

    /**
     * Sets the value of the purchaseAtTicketIssue property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPurchaseAtTicketIssue(Boolean value) {
        this.purchaseAtTicketIssue = value;
    }

    /**
     * Gets the value of the feeNotGuaranteeIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getFeeNotGuaranteeIndicator() {
        return feeNotGuaranteeIndicator;
    }

    /**
     * Sets the value of the feeNotGuaranteeIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setFeeNotGuaranteeIndicator(Boolean value) {
        this.feeNotGuaranteeIndicator = value;
    }

    /**
     * Gets the value of the simultaneousTicketIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSimultaneousTicketIndicator() {
        return simultaneousTicketIndicator;
    }

    /**
     * Sets the value of the simultaneousTicketIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSimultaneousTicketIndicator(String value) {
        this.simultaneousTicketIndicator = value;
    }

}
