
package com.sabre.services.merch.products.v03;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlIDREF;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import com.sabre.services.merch.common.v03.Weight;


/**
 * Baggage allowance details from OC.
 * 
 * <p>Java class for BaggageAllowanceOC complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BaggageAllowanceOC">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="MaxWeight" type="{http://services.sabre.com/merch/common/v03}Weight" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="MaxPieces" minOccurs="0">
 *           &lt;complexType>
 *             &lt;simpleContent>
 *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>int">
 *               &lt;/extension>
 *             &lt;/simpleContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="AllowedBaggageTypes" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="NumberOfPieces" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *                   &lt;element name="BagTypeAncillaryRef" type="{http://www.w3.org/2001/XMLSchema}IDREF"/>
 *                   &lt;element name="FreeTextSubCodeDetails" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="IncludedEntitlement" type="{http://services.sabre.com/merch/products/v03}IncludedEntitlementType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="IncludedEntitlement" type="{http://services.sabre.com/merch/products/v03}IncludedEntitlementType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BaggageAllowanceOC", propOrder = {
    "maxWeight",
    "maxPieces",
    "allowedBaggageTypes",
    "includedEntitlement"
})
public class BaggageAllowanceOC
    implements Serializable
{

    @XmlElement(name = "MaxWeight")
    protected List<Weight> maxWeight;
    @XmlElement(name = "MaxPieces")
    protected BaggageAllowanceOC.MaxPieces maxPieces;
    @XmlElement(name = "AllowedBaggageTypes")
    protected List<BaggageAllowanceOC.AllowedBaggageTypes> allowedBaggageTypes;
    @XmlElement(name = "IncludedEntitlement")
    protected IncludedEntitlementType includedEntitlement;

    /**
     * Gets the value of the maxWeight property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the maxWeight property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMaxWeight().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Weight }
     * 
     * 
     */
    public List<Weight> getMaxWeight() {
        if (maxWeight == null) {
            maxWeight = new ArrayList<Weight>();
        }
        return this.maxWeight;
    }

    /**
     * Gets the value of the maxPieces property.
     * 
     * @return
     *     possible object is
     *     {@link BaggageAllowanceOC.MaxPieces }
     *     
     */
    public BaggageAllowanceOC.MaxPieces getMaxPieces() {
        return maxPieces;
    }

    /**
     * Sets the value of the maxPieces property.
     * 
     * @param value
     *     allowed object is
     *     {@link BaggageAllowanceOC.MaxPieces }
     *     
     */
    public void setMaxPieces(BaggageAllowanceOC.MaxPieces value) {
        this.maxPieces = value;
    }

    /**
     * Gets the value of the allowedBaggageTypes property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the allowedBaggageTypes property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAllowedBaggageTypes().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BaggageAllowanceOC.AllowedBaggageTypes }
     * 
     * 
     */
    public List<BaggageAllowanceOC.AllowedBaggageTypes> getAllowedBaggageTypes() {
        if (allowedBaggageTypes == null) {
            allowedBaggageTypes = new ArrayList<BaggageAllowanceOC.AllowedBaggageTypes>();
        }
        return this.allowedBaggageTypes;
    }

    /**
     * Gets the value of the includedEntitlement property.
     * 
     * @return
     *     possible object is
     *     {@link IncludedEntitlementType }
     *     
     */
    public IncludedEntitlementType getIncludedEntitlement() {
        return includedEntitlement;
    }

    /**
     * Sets the value of the includedEntitlement property.
     * 
     * @param value
     *     allowed object is
     *     {@link IncludedEntitlementType }
     *     
     */
    public void setIncludedEntitlement(IncludedEntitlementType value) {
        this.includedEntitlement = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="NumberOfPieces" type="{http://www.w3.org/2001/XMLSchema}int"/>
     *         &lt;element name="BagTypeAncillaryRef" type="{http://www.w3.org/2001/XMLSchema}IDREF"/>
     *         &lt;element name="FreeTextSubCodeDetails" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="IncludedEntitlement" type="{http://services.sabre.com/merch/products/v03}IncludedEntitlementType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "numberOfPieces",
        "bagTypeAncillaryRef",
        "freeTextSubCodeDetails",
        "includedEntitlement"
    })
    public static class AllowedBaggageTypes
        implements Serializable
    {

        @XmlElement(name = "NumberOfPieces")
        protected int numberOfPieces;
        @XmlElement(name = "BagTypeAncillaryRef", required = true)
        @XmlIDREF
        @XmlSchemaType(name = "IDREF")
        protected Object bagTypeAncillaryRef;
        @XmlElement(name = "FreeTextSubCodeDetails")
        protected String freeTextSubCodeDetails;
        @XmlElement(name = "IncludedEntitlement")
        protected IncludedEntitlementType includedEntitlement;

        /**
         * Gets the value of the numberOfPieces property.
         * 
         */
        public int getNumberOfPieces() {
            return numberOfPieces;
        }

        /**
         * Sets the value of the numberOfPieces property.
         * 
         */
        public void setNumberOfPieces(int value) {
            this.numberOfPieces = value;
        }

        /**
         * Gets the value of the bagTypeAncillaryRef property.
         * 
         * @return
         *     possible object is
         *     {@link Object }
         *     
         */
        public Object getBagTypeAncillaryRef() {
            return bagTypeAncillaryRef;
        }

        /**
         * Sets the value of the bagTypeAncillaryRef property.
         * 
         * @param value
         *     allowed object is
         *     {@link Object }
         *     
         */
        public void setBagTypeAncillaryRef(Object value) {
            this.bagTypeAncillaryRef = value;
        }

        /**
         * Gets the value of the freeTextSubCodeDetails property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getFreeTextSubCodeDetails() {
            return freeTextSubCodeDetails;
        }

        /**
         * Sets the value of the freeTextSubCodeDetails property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setFreeTextSubCodeDetails(String value) {
            this.freeTextSubCodeDetails = value;
        }

        /**
         * Gets the value of the includedEntitlement property.
         * 
         * @return
         *     possible object is
         *     {@link IncludedEntitlementType }
         *     
         */
        public IncludedEntitlementType getIncludedEntitlement() {
            return includedEntitlement;
        }

        /**
         * Sets the value of the includedEntitlement property.
         * 
         * @param value
         *     allowed object is
         *     {@link IncludedEntitlementType }
         *     
         */
        public void setIncludedEntitlement(IncludedEntitlementType value) {
            this.includedEntitlement = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;simpleContent>
     *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>int">
     *     &lt;/extension>
     *   &lt;/simpleContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value"
    })
    public static class MaxPieces
        implements Serializable
    {

        @XmlValue
        protected int value;

        /**
         * Gets the value of the value property.
         * 
         */
        public int getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         */
        public void setValue(int value) {
            this.value = value;
        }

    }

}
