
package com.sabre.services.merch.products.v03;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Enum_AncillaryReasonForIssuance.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="Enum_AncillaryReasonForIssuance">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="AIR_TRANSPORTATION"/>
 *     &lt;enumeration value="GROUND_TRANSPORT_NON_AIR_SERVICES"/>
 *     &lt;enumeration value="BAGGAGE"/>
 *     &lt;enumeration value="FINANCIAL_IMPACT"/>
 *     &lt;enumeration value="AIRPORT_SERVICES"/>
 *     &lt;enumeration value="MERCHANDISE"/>
 *     &lt;enumeration value="IN_FLIGHT_SERVICES"/>
 *     &lt;enumeration value="INDIVIDUAL_AIRLINE_USE"/>
 *     &lt;enumeration value="OTHER"/>
 *     &lt;enumeration value="UNKNOWN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "Enum_AncillaryReasonForIssuance")
@XmlEnum
public enum EnumAncillaryReasonForIssuance {


    /**
     * Maps to code A defined by IATA/ATPCO. Air transportation.
     *                     
     * 
     */
    AIR_TRANSPORTATION,

    /**
     * 
     *                         Maps to code B defined by IATA/ATPCO. Surface transportation / non-air services.
     *                     
     * 
     */
    GROUND_TRANSPORT_NON_AIR_SERVICES,

    /**
     * Maps to code C defined by IATA/ATPCO. Baggage.
     *                     
     * 
     */
    BAGGAGE,

    /**
     * Maps to code D defined by IATA/ATPCO. Financial impact.
     *                     
     * 
     */
    FINANCIAL_IMPACT,

    /**
     * Maps to code E defined by IATA/ATPCO. Airport services.
     *                     
     * 
     */
    AIRPORT_SERVICES,

    /**
     * Maps to code F defined by IATA/ATPCO. Merchandise.
     *                     
     * 
     */
    MERCHANDISE,

    /**
     * Maps to code G defined by IATA/ATPCO. In-flight services.
     *                     
     * 
     */
    IN_FLIGHT_SERVICES,

    /**
     * Maps to code I defined by IATA/ATPCO. Individual airline
     *                         use.
     *                     
     * 
     */
    INDIVIDUAL_AIRLINE_USE,

    /**
     * 
     *                         Added to support new reasons not yet defined in the WS contract.
     *                     
     * 
     */
    OTHER,

    /**
     * The reason for issuance is unknown.
     * 
     */
    UNKNOWN;

    public String value() {
        return name();
    }

    public static EnumAncillaryReasonForIssuance fromValue(String v) {
        return valueOf(v);
    }

}
