
package com.sabre.services.merch.products.v03;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;


/**
 * 
 *                 Specifies the IATA-defined reason for issuance code (RFIC)
 *                 applicable to the Electronic Miscellaneous Document (EMD)
 *                 that will be issued for the sub code identified in this record.
 *             
 * 
 * <p>Java class for ReasonForIssuance complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ReasonForIssuance">
 *   &lt;simpleContent>
 *     &lt;extension base="&lt;http://services.sabre.com/merch/products/v03>Enum_AncillaryReasonForIssuance">
 *       &lt;attribute name="code" type="{http://services.sabre.com/merch/products/v03}Code_ReasonForIssuance" />
 *     &lt;/extension>
 *   &lt;/simpleContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ReasonForIssuance", propOrder = {
    "value"
})
public class ReasonForIssuance
    implements Serializable
{

    @XmlValue
    protected EnumAncillaryReasonForIssuance value;
    @XmlAttribute(name = "code")
    protected String code;

    /**
     * 
     *                 IATA Reason for Issuance. This is to specify why an EMD or other miscellaneous document was issued.
     *             
     * 
     * @return
     *     possible object is
     *     {@link EnumAncillaryReasonForIssuance }
     *     
     */
    public EnumAncillaryReasonForIssuance getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     * @param value
     *     allowed object is
     *     {@link EnumAncillaryReasonForIssuance }
     *     
     */
    public void setValue(EnumAncillaryReasonForIssuance value) {
        this.value = value;
    }

    /**
     * Gets the value of the code property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCode() {
        return code;
    }

    /**
     * Sets the value of the code property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCode(String value) {
        this.code = value;
    }

}
